#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x7498f663, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x60c8ce41, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x4b07c91b, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xfa2945c7, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x0d9ff478, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x8b3d0c4e, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xd9974ee2, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x64cb6aa5, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x90005295, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x802bfc87, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x4a711c16, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x0ad3b83b, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x1749cea6, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x2b476f1a, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x4c08c0e7, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xede029ca, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x75f57c73, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x40d55d65, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x798f1feb, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x521c9153, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x66f18610, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xf76f651b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x0c7f144f, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xc3f88b06, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x77467c2b, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x2237568c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x267ca7b6, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x3e277245, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xd65e2e34, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x7baf6910, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xadf5916a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x596fcf18, "crypto_register_aead" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x878b1829, "crypto_unregister_aead" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xfd33c832, "crypto_register_ahash" },
	{ 0x486f497b, "crypto_unregister_ahash" },
	{ 0xa07f9128, "crypto_register_akcipher" },
	{ 0xa62d63c0, "crypto_unregister_akcipher" },
	{ 0xab688778, "crypto_register_kpp" },
	{ 0x96b481e3, "crypto_unregister_kpp" },
	{ 0xf391423a, "crypto_register_skcipher" },
	{ 0xa2826412, "crypto_unregister_skcipher" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xcacec865, "kthread_queue_work" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xb3789337, "lockdep_recursion" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x78092a73, "kthread_destroy_worker" },
	{ 0x29c98794, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x36f14138, "kthread_create_worker" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfb578fc5, "memset" },
	{ 0x2d145943, "_dev_info" },
	{ 0xc2857d26, "sched_set_fifo" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xae567ba6, "crypto_enqueue_request" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x882454c6, "crypto_dequeue_request" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x183a016f, "crypto_enqueue_request_head" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");
