#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0x2f023cb1, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xade85e35, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x830c2873, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xb9803b5d, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0xb56deeae, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x123a2960, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xda521ec7, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x61530fe3, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x31ccd6d3, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x4468b826, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x59ec0ce3, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x1a7e7bbf, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0xdeb025a6, "_gpl");
SYMBOL_CRC(adf_dev_get, 0xbc13ae0e, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x695c1483, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x1a65e522, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x7f81bce9, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x0393cf15, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x9c14bca4, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x59eb791d, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0xfb36de28, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x7cda0361, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x9ef1de50, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0xe23973d1, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x6560a980, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x6380b9cc, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x09cd6188, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x038c6a15, "_gpl");
SYMBOL_CRC(adf_init_arb, 0xd4668206, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x09c3cba5, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0x4c2e1e32, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0xe6309217, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x9781d5ec, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0xbe297251, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x6147ef6b, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0xde382d29, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x1748eee3, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0xc4dc34be, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0x1ca6c424, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0xa3e772e2, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0xa7fceb81, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0x026df121, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x597f74ad, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x07d5574e, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x79c2b247, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x65691693, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x58afb9a1, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x372c4454, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x2124faaa, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x1dda9bdc, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0xed7a2993, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0xf8feeb04, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0xcc857e0d, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x5730caab, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0xe44baebe, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x163fd125, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0x834fd92d, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0x7f642e96, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0xa8a38d26, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0x0cfb7dba, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x71f034e7, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x3a701060, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0xdde88504, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x221daf71, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x6d1adaa2, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x6a14dc83, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x62904283, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0xc561d34c, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0xea19dd4e, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xfa9b7c93, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xf7c042a5, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0xa1041916, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x95540570, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x184f76e2, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x8162bbd5, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0xcfefa133, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0x2292528e, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0xd33760cb, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x5491be0d, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x207224a3, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x43f5640a, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xad3a06e8, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0xc6497c3e, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0xda61539e, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x487c9c8e, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0xd238192d, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x613615f9, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x392a8a67, "crypto_skcipher_encrypt" },
	{ 0x4d6e3f0c, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xefbdc4cf, "crypto_alloc_base" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x29c98794, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xfda0f3a4, "pci_alloc_irq_vectors" },
	{ 0x96b481e3, "crypto_unregister_kpp" },
	{ 0x78e29291, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x7ed07083, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfc089d94, "request_firmware" },
	{ 0x92d9b5ab, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xbd29af41, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x79264ce6, "crypto_register_aeads" },
	{ 0xae329b4d, "pci_sriov_get_totalvfs" },
	{ 0x4fe2ec3a, "seq_hex_dump" },
	{ 0x521e8deb, "device_remove_groups" },
	{ 0xe4d01551, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xb49802db, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x87bfb0ad, "pci_irq_vector" },
	{ 0xbb2ab61b, "crypto_skcipher_setkey" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6ed1c832, "crypto_cipher_setkey" },
	{ 0xbdfb57be, "dev_driver_string" },
	{ 0x63d66122, "crypto_unregister_aeads" },
	{ 0x8a73e20a, "crypto_destroy_tfm" },
	{ 0xdc606691, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x9b68e6b9, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xe36ed7f0, "crypto_alloc_kpp" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x17562499, "crypto_skcipher_decrypt" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x12dbe546, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2d145943, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xa88ce939, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xbaf71656, "compat_ptr_ioctl" },
	{ 0xde535844, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xec04a062, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1ff9c897, "crypto_unregister_acomps" },
	{ 0xd21cccf3, "down_write" },
	{ 0x3f717fb4, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0x50f49991, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa62d63c0, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7764a52c, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x740552da, "class_create" },
	{ 0x27972bb1, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0x3570c339, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9e6e3710, "debugfs_remove" },
	{ 0x301aa9ca, "pcie_flr" },
	{ 0xf2edb2c4, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x839f501f, "seq_putc" },
	{ 0xc36470b0, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa7c2877b, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x35653173, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7fad6024, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7c2022da, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf2188216, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x51db6ef7, "mutex_trylock" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x6de775b2, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcf56f2b6, "_dev_notice" },
	{ 0x9fd1a474, "crypto_cipher_encrypt_one" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x62818083, "debugfs_create_file" },
	{ 0x980bf65b, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xab688778, "crypto_register_kpp" },
	{ 0xa2a79b96, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb7114411, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf203f0dd, "pci_disable_sriov" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbc53344a, "seq_puts" },
	{ 0x9df6e93d, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xc21ff2e2, "device_add_groups" },
	{ 0xfe698fdd, "seq_open" },
	{ 0x4c332536, "crypto_unregister_skciphers" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xa07f9128, "crypto_register_akcipher" },
	{ 0xb2d43759, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x92a54777, "crypto_alloc_shash" },
	{ 0x15146e44, "debugfs_create_dir" },
	{ 0x62369fab, "pci_write_config_word" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x109993fd, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd04ce395, "pci_enable_sriov" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x228fc65, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x58250765, "cdev_del" },
	{ 0x7e45f5fa, "crypto_alloc_skcipher" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc,dh_generic");


MODULE_INFO(srcversion, "5A25F073E75E881067B47E1");
