#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xefba1e7f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x3b314a0b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xc2d9ba62, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x1380f437, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x261a6d78, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x6783b7fe, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x65198fa9, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xd2ed8066, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x5a012ab8, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xcc09744b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x0bf17a3b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x37a9f67d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xbd9ebbeb, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x9989e475, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x9f3fd880, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x1b88dc9a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5fdf3e15, "vmf_insert_pfn" },
	{ 0xd194312b, "ww_mutex_lock_interruptible" },
	{ 0x7a87a9bb, "drm_gem_get_pages" },
	{ 0xc53d6da, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xa7f68220, "invalidate_mapping_pages" },
	{ 0xb061dd43, "ww_mutex_unlock" },
	{ 0x234f87df, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x1d023c7d, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x5db6b633, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x148149c3, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa1aa49e6, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbdfb57be, "dev_driver_string" },
	{ 0x4ecc5ce0, "dma_resv_reset_max_fences" },
	{ 0x289596a4, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3736c51b, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xed8cf692, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb49e1d3e, "drm_gem_vm_open" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5ebcbbba, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x25fa370b, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5d9f4d2e, "vmap" },
	{ 0x4d4cdcdf, "drm_gem_handle_create" },
	{ 0x1aa250fe, "__drm_dev_dbg" },
	{ 0x8b865aed, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x37089c43, "dma_buf_vunmap" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3bf06d4f, "shmem_truncate_range" },
	{ 0x54d94830, "set_pages_array_wc" },
	{ 0x28779e52, "drm_printf" },
	{ 0xfa90f94d, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1678c0f6, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x8263d10a, "dma_unmap_sg_attrs" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xe12ae57e, "drm_gem_put_pages" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x60dce01, "drm_gem_private_object_fini" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x1631009b, "drm_prime_gem_destroy" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "7B036E953BCF9591D0D5063");
