#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__vmbus_driver_register, "_gpl", "");
KSYMTAB_FUNC(vmbus_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_allocate_mmio, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_mmio, "_gpl", "");
KSYMTAB_DATA(vmbus_connection, "_gpl", "");
KSYMTAB_DATA(vmbus_proto_version, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_event, "_gpl", "");
KSYMTAB_FUNC(vmbus_setevent, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_alloc_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_tl_connect_request, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_modifychannel, "_gpl", "");
KSYMTAB_FUNC(vmbus_establish_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_connect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_open, "_gpl", "");
KSYMTAB_FUNC(vmbus_teardown_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_disconnect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_close, "_gpl", "");
KSYMTAB_FUNC(vmbus_sendpacket_getid, "", "");
KSYMTAB_FUNC(vmbus_sendpacket, "", "");
KSYMTAB_FUNC(vmbus_sendpacket_pagebuffer, "_gpl", "");
KSYMTAB_FUNC(vmbus_sendpacket_mpb_desc, "_gpl", "");
KSYMTAB_FUNC(vmbus_recvpacket, "", "");
KSYMTAB_FUNC(vmbus_recvpacket_raw, "_gpl", "");
KSYMTAB_FUNC(vmbus_next_request_id, "_gpl", "");
KSYMTAB_FUNC(__vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr, "_gpl", "");
KSYMTAB_FUNC(vmbus_prep_negotiate_resp, "_gpl", "");
KSYMTAB_FUNC(vmbus_hvsock_device_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_sc_create_callback, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_chn_rescind_callback, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_get_debuginfo, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_spinlock_busy, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_first, "_gpl", "");
KSYMTAB_FUNC(__hv_pkt_iter_next, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_close, "_gpl", "");

SYMBOL_CRC(__vmbus_driver_register, 0x9deec7d1, "_gpl");
SYMBOL_CRC(vmbus_driver_unregister, 0x6012f3a2, "_gpl");
SYMBOL_CRC(vmbus_allocate_mmio, 0xc4554c68, "_gpl");
SYMBOL_CRC(vmbus_free_mmio, 0x31e2e77f, "_gpl");
SYMBOL_CRC(vmbus_connection, 0x54ccf790, "_gpl");
SYMBOL_CRC(vmbus_proto_version, 0x46a417ca, "_gpl");
SYMBOL_CRC(vmbus_set_event, 0x3d8a504a, "_gpl");
SYMBOL_CRC(vmbus_setevent, 0xa0a65249, "_gpl");
SYMBOL_CRC(vmbus_free_ring, 0x78e52266, "_gpl");
SYMBOL_CRC(vmbus_alloc_ring, 0x03038f5e, "_gpl");
SYMBOL_CRC(vmbus_send_tl_connect_request, 0x4b2210b8, "_gpl");
SYMBOL_CRC(vmbus_send_modifychannel, 0xaaf8fa67, "_gpl");
SYMBOL_CRC(vmbus_establish_gpadl, 0x4f28c355, "_gpl");
SYMBOL_CRC(vmbus_connect_ring, 0xa468b44f, "_gpl");
SYMBOL_CRC(vmbus_open, 0x1934ee5b, "_gpl");
SYMBOL_CRC(vmbus_teardown_gpadl, 0x385c56c7, "_gpl");
SYMBOL_CRC(vmbus_disconnect_ring, 0x2752d556, "_gpl");
SYMBOL_CRC(vmbus_close, 0xbb7a1021, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_getid, 0x8c77eaab, "");
SYMBOL_CRC(vmbus_sendpacket, 0xf47dc889, "");
SYMBOL_CRC(vmbus_sendpacket_pagebuffer, 0xa1260081, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_mpb_desc, 0x76f7b34a, "_gpl");
SYMBOL_CRC(vmbus_recvpacket, 0xdafb1636, "");
SYMBOL_CRC(vmbus_recvpacket_raw, 0x34a33e20, "_gpl");
SYMBOL_CRC(vmbus_next_request_id, 0x74b6b606, "_gpl");
SYMBOL_CRC(__vmbus_request_addr_match, 0x2a24e042, "_gpl");
SYMBOL_CRC(vmbus_request_addr_match, 0x9a4dcd2c, "_gpl");
SYMBOL_CRC(vmbus_request_addr, 0x083c3c3e, "_gpl");
SYMBOL_CRC(vmbus_prep_negotiate_resp, 0x321055cb, "_gpl");
SYMBOL_CRC(vmbus_hvsock_device_unregister, 0x081c883c, "_gpl");
SYMBOL_CRC(vmbus_set_sc_create_callback, 0x32c95041, "_gpl");
SYMBOL_CRC(vmbus_set_chn_rescind_callback, 0xd3601f31, "_gpl");
SYMBOL_CRC(hv_ringbuffer_get_debuginfo, 0x63d821d0, "_gpl");
SYMBOL_CRC(hv_ringbuffer_spinlock_busy, 0x67a6885c, "_gpl");
SYMBOL_CRC(hv_pkt_iter_first, 0x95ba25dc, "_gpl");
SYMBOL_CRC(__hv_pkt_iter_next, 0x27e5f8ab, "_gpl");
SYMBOL_CRC(hv_pkt_iter_close, 0x99958c0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xff0b90ac, "completion_done" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0xd9bc7e00, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3c0e8050, "hyperv_pcpu_input_arg" },
	{ 0x2421fbc9, "param_ops_uint" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x31128b8e, "hv_remove_kexec_handler" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0xedcb082d, "platform_driver_unregister" },
	{ 0xf3ebed1c, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0xf7b48cb4, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6bf84610, "driver_attach" },
	{ 0x50cb271a, "device_unregister" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x61e7d2aa, "pci_get_device" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xa2f7487f, "hv_is_hibernation_supported" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x1006decf, "kset_unregister" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20ca526c, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x16dfbf36, "add_interrupt_randomness" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xa80b181f, "get_device" },
	{ 0x9bad141d, "hv_hypercall_pg" },
	{ 0xc3876c1a, "hv_isolation_type_snp" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb75041d1, "hv_stimer_legacy_init" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x3cc53975, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8e9bd4a3, "hv_alloc_hyperv_page" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x2faadcb7, "panic_notifier_list" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfab52fab, "hv_set_register" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xce197687, "atomic_notifier_chain_register" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x618911fc, "numa_node" },
	{ 0x810a136d, "__free_pages" },
	{ 0xcaf0271f, "hv_get_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x20899467, "hv_stimer0_isr" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x59c847cd, "cpumask_of_node" },
	{ 0x687cad2c, "device_get_dma_attr" },
	{ 0xeb12d038, "driver_set_override" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xfddeb056, "efi" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0x3c361681, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0xe35183be, "acpi_dev_resource_interrupt" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x18db2161, "hv_setup_dma_ops" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7bb045a7, "__request_percpu_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc25b8971, "hv_remove_crash_handler" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x65704d22, "hv_stimer_cleanup" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x27df3105, "hv_alloc_hyperv_zeroed_page" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x38a3d58e, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5d9f4d2e, "vmap" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7676506a, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x26cc5d08, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xee006366, "hv_isolation_type_tdx" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x7d0e1d95, "hv_setup_crash_handler" },
	{ 0xdd835c1d, "device_register" },
	{ 0x1b5fc3d5, "bpf_trace_run1" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0xba01ec83, "hv_stimer_global_cleanup" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8b89f01c, "hv_ghcb_hypercall" },
	{ 0x4b393940, "__alloc_pages" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbc6bec66, "free_percpu_irq" },
	{ 0x1ba13495, "__cpu_to_node" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x1cd44f98, "hyperv_paravisor_present" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x2c86a755, "hv_tdx_hypercall" },
	{ 0xab1e0e93, "hv_setup_kexec_handler" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc6bc9b21, "__platform_driver_register" },
	{ 0x5b950db7, "sysfs_remove_group" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x2ffedb6b, "hv_free_hyperv_page" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x99ffd2dd, "atomic_notifier_chain_unregister" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xcb8a461c, "hv_stimer_legacy_cleanup" },
	{ 0x335c570f, "enable_percpu_irq" },
	{ 0x3fae6ab0, "hv_vp_index" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x90a9d8cc, "hv_is_hyperv_initialized" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf09eba7f, "alloc_pages" },
	{ 0x4c8adfe1, "hv_root_partition" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4475dcaf, "hv_nested" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x53287bf7, "kobject_uevent" },
	{ 0x7bbccd05, "nr_node_ids" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc32e9829, "dma_set_mask" },
	{ 0xa96e8b4e, "hv_setup_vmbus_handler" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0xb7f3a215, "set_primary_fwnode" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x3d970ba9, "driver_register" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0xf21e1f9b, "disable_percpu_irq" },
	{ 0x6be3a96b, "hv_remove_vmbus_handler" },
	{ 0x67a2b9a2, "bus_register" },
	{ 0xf1568e85, "kset_create_and_add" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x6a611526, "kobject_put" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:VMBUS:*");
MODULE_ALIAS("acpi*:VMBus:*");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbus");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbusC*");

MODULE_INFO(srcversion, "1655E25E0B3E762EC186161");
