#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5bfddb78, "pin_user_pages_fast" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2c61476f, "ib_umem_release" },
	{ 0x3990068f, "pcie_capability_write_word" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x37096cd3, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x872b8a5e, "pci_enable_device" },
	{ 0xfda0f3a4, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xf7b48cb4, "pci_dev_put" },
	{ 0xe7b52e5f, "mult_to_ib_rate" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x61e7d2aa, "pci_get_device" },
	{ 0x7ed07083, "dma_unmap_page_attrs" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6cfe8673, "__pci_register_driver" },
	{ 0x66cb57fb, "up" },
	{ 0xaeb7c40f, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbf5e9920, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4363fb03, "remap_pfn_range" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x87bfb0ad, "pci_irq_vector" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4456764b, "_ib_alloc_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xb7b5a978, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x4856b450, "rdma_create_ah" },
	{ 0xdc606691, "pci_read_config_dword" },
	{ 0x14599c40, "ib_unregister_device" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x9b68e6b9, "dma_map_page_attrs" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x520e2100, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x810a136d, "__free_pages" },
	{ 0x2d145943, "_dev_info" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x5dbf9a06, "ib_unregister_mad_agent" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8595451d, "pci_find_capability" },
	{ 0x83e9d477, "ib_post_send_mad" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x459f0a8f, "ib_create_send_mad" },
	{ 0xc2ed08fc, "ib_dispatch_event" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x445f1d77, "ib_get_cached_pkey" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xaa8c0973, "down" },
	{ 0xd8c2451b, "ib_umem_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x956ce198, "pcix_get_max_mmrbc" },
	{ 0x3570c339, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x368e3ed4, "ib_query_port" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xae956dce, "ib_rate_to_mult" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x99ceee05, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb7b3dcb8, "unpin_user_page" },
	{ 0x7c2022da, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x4aeb738f, "rdma_destroy_ah_user" },
	{ 0xf5dfe40d, "ib_dealloc_device" },
	{ 0xaa95a801, "ib_free_send_mad" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x87541fc2, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x980bf65b, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbe1bf214, "pci_release_regions" },
	{ 0xf09eba7f, "alloc_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9b2a3676, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xfe4731fc, "pcie_set_readrq" },
	{ 0xa4278fd, "ib_register_mad_agent" },
	{ 0xc32e9829, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8263d10a, "dma_unmap_sg_attrs" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x59998e61, "param_ops_int" },
	{ 0xb1d2ab82, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x109993fd, "pci_free_irq_vectors" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd9a873e7, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x10f57da8, "pci_write_config_dword" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xeb43a260, "ib_set_device_ops" },
	{ 0x7da8c525, "dma_map_sg_attrs" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "ib_uverbs,ib_core");

MODULE_ALIAS("pci:v000015B3d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005A44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006278sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006282sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00006274sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00005E8Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001867d00005E8Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "358DF0561E73CDBDDB5FEB9");
