#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x61ff4bab, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x3427299e, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0xccad529c, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x994a8151, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x24385868, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0xb88483f2, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0xdee94ab9, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x1b5ceba3, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x71a2e07e, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x06985a02, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0x21718d57, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0xa4be4803, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf3423eef, "i2c_verify_client" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x15146e44, "debugfs_create_dir" },
	{ 0x62818083, "debugfs_create_file" },
	{ 0xb2d43759, "single_open" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xb7114411, "seq_printf" },
	{ 0xcffeb536, "fwnode_property_present" },
	{ 0xf1d0ddb4, "fwnode_graph_get_port_parent" },
	{ 0x7c8f409f, "fwnode_handle_put" },
	{ 0x56adb694, "fwnode_handle_get" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x9e6e3710, "debugfs_remove" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xad6c344b, "fwnode_graph_get_remote_endpoint" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x61781e0a, "v4l2_device_unregister_subdev" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x23a601f6, "v4l2_subdev_put_privacy_led" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1e1d89fb, "__dev_fwnode" },
	{ 0x70f683ed, "v4l2_device_register_subdev" },
	{ 0x7df39eec, "media_create_ancillary_link" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0xe4d01551, "seq_lseek" },
	{ 0x6de775b2, "seq_read" },
	{ 0x9df6e93d, "single_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "i2c-core,videodev,mc");


MODULE_INFO(srcversion, "BF8258912311212E1384DC2");
