#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x17141256, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x26b14c37, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x3fc7a4a4, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x89d02683, "");
SYMBOL_CRC(mpt_halt_firmware, 0x11904e95, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x00dfec03, "");
SYMBOL_CRC(mpt_attach, 0xf1b1fbbd, "");
SYMBOL_CRC(mpt_detach, 0x85c40d18, "");
SYMBOL_CRC(mpt_resume, 0x8b7003f5, "");
SYMBOL_CRC(mpt_suspend, 0xb0786908, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xf398a271, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xcb3d49ad, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x5a8174d3, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x56e994d0, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x45e9cc61, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x2ebc453b, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x4fd2adc6, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xeaefc691, "");
SYMBOL_CRC(mpt_send_handshake_request, 0xe718adf9, "");
SYMBOL_CRC(mpt_verify_adapter, 0xb25cdfbd, "");
SYMBOL_CRC(mpt_GetIocState, 0xb0da0af7, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x50775828, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x537d104a, "");
SYMBOL_CRC(mpt_config, 0x4f826b8a, "");
SYMBOL_CRC(mpt_findImVolumes, 0xff95618a, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xd02fc095, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x1e950587, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xb9c8be33, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xae45d527, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7114411, "seq_printf" },
	{ 0xeb3c5fdf, "pci_stop_and_remove_bus_device_locked" },
	{ 0x3570c339, "dma_alloc_attrs" },
	{ 0x980bf65b, "dma_free_attrs" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x56d9faa8, "pci_select_bars" },
	{ 0x90fc07d5, "pci_enable_device_mem" },
	{ 0xd072ffad, "pci_request_selected_regions" },
	{ 0x86498451, "dma_get_required_mask" },
	{ 0xc32e9829, "dma_set_mask" },
	{ 0x4624404f, "pci_release_selected_regions" },
	{ 0x9b2a3676, "pci_disable_device" },
	{ 0x87541fc2, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x3c5f0a51, "pci_get_slot" },
	{ 0xf7b48cb4, "pci_dev_put" },
	{ 0x8ed42976, "remove_proc_entry" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xf1e046cc, "panic" },
	{ 0xa1e0b3f9, "complete" },
	{ 0xf14dc5b1, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x839f501f, "seq_putc" },
	{ 0xd230a435, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4d6e3f0c, "pci_save_state" },
	{ 0xcecde2f1, "pci_set_power_state" },
	{ 0x50b40d5c, "pci_disable_msi" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa35e618d, "proc_mkdir" },
	{ 0x8b6cb153, "proc_create_single_data" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xf2edb2c4, "pci_read_config_word" },
	{ 0x62369fab, "pci_write_config_word" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7c2022da, "pci_set_master" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x508fd09, "pci_enable_msi" },
	{ 0x872b8a5e, "pci_enable_device" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xa7bbd2be, "kthread_create_on_node" },
	{ 0x322ba7ae, "wake_up_process" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa2a17420, "pci_read_config_byte" },
	{ 0x7f2b17e0, "pci_write_config_byte" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xad3f601b, "pci_enable_wake" },
	{ 0x7fad6024, "pci_restore_state" },
	{ 0x59998e61, "param_ops_int" },
	{ 0xd977cf53, "param_get_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xdd64e639, "strscpy" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");
