#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mei_fw_status2str, "_gpl", "");
KSYMTAB_FUNC(mei_cancel_work, "_gpl", "");
KSYMTAB_FUNC(mei_reset, "_gpl", "");
KSYMTAB_FUNC(mei_start, "_gpl", "");
KSYMTAB_FUNC(mei_restart, "_gpl", "");
KSYMTAB_FUNC(mei_stop, "_gpl", "");
KSYMTAB_FUNC(mei_write_is_idle, "_gpl", "");
KSYMTAB_FUNC(mei_device_init, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg, "_gpl", "");
KSYMTAB_FUNC(mei_hbm_pg_resume, "_gpl", "");
KSYMTAB_FUNC(mei_irq_compl_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_read_handler, "_gpl", "");
KSYMTAB_FUNC(mei_irq_write_handler, "_gpl", "");
KSYMTAB_FUNC(mei_cl_all_disconnect, "_gpl", "");
KSYMTAB_FUNC(mei_register, "_gpl", "");
KSYMTAB_FUNC(mei_deregister, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock_vtag, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_recv_nonblock, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_rx_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_register_notif_cb, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_uuid, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_ver, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enabled, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_map, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_dma_unmap, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_enable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_disable, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_send_gsc_command, "_gpl", "");
KSYMTAB_FUNC(__mei_cldev_driver_register, "_gpl", "");
KSYMTAB_FUNC(mei_cldev_driver_unregister, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mei_reg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_read, "", "");
KSYMTAB_DATA(__tracepoint_mei_reg_write, "", "");
KSYMTAB_FUNC(__traceiter_mei_reg_write, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_reg_write, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_reg_write, "", "");
KSYMTAB_DATA(__tracepoint_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__traceiter_mei_pci_cfg_read, "", "");
KSYMTAB_DATA(__SCK__tp_func_mei_pci_cfg_read, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mei_pci_cfg_read, "", "");

SYMBOL_CRC(mei_fw_status2str, 0x90a24af4, "_gpl");
SYMBOL_CRC(mei_cancel_work, 0xd0f8dae9, "_gpl");
SYMBOL_CRC(mei_reset, 0x115c1c45, "_gpl");
SYMBOL_CRC(mei_start, 0x4fa2ed23, "_gpl");
SYMBOL_CRC(mei_restart, 0xf7064a75, "_gpl");
SYMBOL_CRC(mei_stop, 0x17660f46, "_gpl");
SYMBOL_CRC(mei_write_is_idle, 0x0ed3443d, "_gpl");
SYMBOL_CRC(mei_device_init, 0x8e6dd961, "_gpl");
SYMBOL_CRC(mei_hbm_pg, 0x7a6d3e67, "_gpl");
SYMBOL_CRC(mei_hbm_pg_resume, 0xb98fbbbb, "_gpl");
SYMBOL_CRC(mei_irq_compl_handler, 0x947bbcec, "_gpl");
SYMBOL_CRC(mei_irq_read_handler, 0x82bb19b4, "_gpl");
SYMBOL_CRC(mei_irq_write_handler, 0x2e02edde, "_gpl");
SYMBOL_CRC(mei_cl_all_disconnect, 0xb11bc291, "_gpl");
SYMBOL_CRC(mei_register, 0x3db34320, "_gpl");
SYMBOL_CRC(mei_deregister, 0x0346162b, "_gpl");
SYMBOL_CRC(mei_cldev_send_vtag, 0x17cb0321, "_gpl");
SYMBOL_CRC(mei_cldev_recv_vtag, 0x98d2173c, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock_vtag, 0x310f7d35, "_gpl");
SYMBOL_CRC(mei_cldev_send, 0xc9b0bad6, "_gpl");
SYMBOL_CRC(mei_cldev_recv, 0x20e8612a, "_gpl");
SYMBOL_CRC(mei_cldev_recv_nonblock, 0xab9d5e30, "_gpl");
SYMBOL_CRC(mei_cldev_register_rx_cb, 0x118f197e, "_gpl");
SYMBOL_CRC(mei_cldev_register_notif_cb, 0xa25547f1, "_gpl");
SYMBOL_CRC(mei_cldev_get_drvdata, 0x0d1447c8, "_gpl");
SYMBOL_CRC(mei_cldev_set_drvdata, 0xf0ddeeee, "_gpl");
SYMBOL_CRC(mei_cldev_uuid, 0x68aab1ac, "_gpl");
SYMBOL_CRC(mei_cldev_ver, 0xb9813bdd, "_gpl");
SYMBOL_CRC(mei_cldev_enabled, 0x8151be07, "_gpl");
SYMBOL_CRC(mei_cldev_dma_map, 0xd1980f30, "_gpl");
SYMBOL_CRC(mei_cldev_dma_unmap, 0xd001ae31, "_gpl");
SYMBOL_CRC(mei_cldev_enable, 0x9a3b96f9, "_gpl");
SYMBOL_CRC(mei_cldev_disable, 0x1df24197, "_gpl");
SYMBOL_CRC(mei_cldev_send_gsc_command, 0xd9648f47, "_gpl");
SYMBOL_CRC(__mei_cldev_driver_register, 0xb5b684f0, "_gpl");
SYMBOL_CRC(mei_cldev_driver_unregister, 0x82a75e7d, "_gpl");
SYMBOL_CRC(__tracepoint_mei_reg_read, 0xc956ec9f, "");
SYMBOL_CRC(__traceiter_mei_reg_read, 0x14757d74, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_read, 0x6778fafd, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_read, 0x3b0a488d, "");
SYMBOL_CRC(__tracepoint_mei_reg_write, 0x5f84fd82, "");
SYMBOL_CRC(__traceiter_mei_reg_write, 0xe4b513b8, "");
SYMBOL_CRC(__SCK__tp_func_mei_reg_write, 0xfc96d3e0, "");
SYMBOL_CRC(__SCT__tp_func_mei_reg_write, 0x0bb25295, "");
SYMBOL_CRC(__tracepoint_mei_pci_cfg_read, 0xb2499b22, "");
SYMBOL_CRC(__traceiter_mei_pci_cfg_read, 0x0f3c286c, "");
SYMBOL_CRC(__SCK__tp_func_mei_pci_cfg_read, 0x01a4fcab, "");
SYMBOL_CRC(__SCT__tp_func_mei_pci_cfg_read, 0x14dc7949, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x28c09dd2, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x1c0e97b7, "dmam_alloc_attrs" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x32c33057, "kill_fasync" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x479332fe, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0xe4d01551, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xbe19fb8b, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa80b181f, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x64857fc0, "debugfs_read_file_bool" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0xe6321928, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xe965ddec, "debugfs_write_file_bool" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2d145943, "_dev_info" },
	{ 0xa88ce939, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xbaf71656, "compat_ptr_ioctl" },
	{ 0xde535844, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0x3c361681, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0x50f49991, "simple_open" },
	{ 0x16f3f815, "device_add" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9e6e3710, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x3eeeb7eb, "fasync_helper" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x38a3d58e, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x77d75fc2, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x499d9da7, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x68d43a09, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0xa813ed54, "device_match_devt" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xd42310e, "nonseekable_open" },
	{ 0x6de775b2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x63b5593a, "device_create_with_groups" },
	{ 0xdd64e639, "strscpy" },
	{ 0x62818083, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0x506c51c3, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa2a79b96, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb7114411, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbc53344a, "seq_puts" },
	{ 0x9df6e93d, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x66f93311, "__pm_runtime_suspend" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc0f804a0, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xb2d43759, "single_open" },
	{ 0x15146e44, "debugfs_create_dir" },
	{ 0xce8f3490, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x3d970ba9, "driver_register" },
	{ 0xa9b2c447, "class_register" },
	{ 0x228fc65, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x58250765, "cdev_del" },
	{ 0x67a2b9a2, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5f59e05b, "class_find_device" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C2E421B9BEAA2AEDEC3F8A");
