#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x5313d4a9, "");
SYMBOL_CRC(t3_l2t_send_event, 0xd87433a9, "");
SYMBOL_CRC(t3_l2e_free, 0x8821568e, "");
SYMBOL_CRC(t3_l2t_get, 0xfbe9bec6, "");
SYMBOL_CRC(cxgb3_register_client, 0xbc4639a0, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x623a7f7e, "");
SYMBOL_CRC(cxgb3_free_atid, 0x4d9bbbe5, "");
SYMBOL_CRC(cxgb3_free_stid, 0xd98cf2bb, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x097dcee0, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x038018b5, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x9cb95be3, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0xab17b6aa, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x4010cc93, "");
SYMBOL_CRC(dev2t3cdev, 0x43167be2, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x35594818, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xbe091c0f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8299a1ac, "alloc_etherdev_mqs" },
	{ 0x4d6e3f0c, "pci_save_state" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb7c51be8, "pcie_capability_read_word" },
	{ 0x3b1396f8, "napi_gro_frags" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3990068f, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x392974cf, "skb_copy_bits" },
	{ 0xa3adc6ca, "pci_read_vpd" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x872b8a5e, "pci_enable_device" },
	{ 0xa6fae3b3, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x674d0036, "netdev_update_features" },
	{ 0xe6a2a276, "consume_skb" },
	{ 0x9766954a, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xe46e280, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xdab913b3, "unregister_netdev" },
	{ 0x209a4a75, "napi_get_frags" },
	{ 0x7ed07083, "dma_unmap_page_attrs" },
	{ 0xfc089d94, "request_firmware" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6cfe8673, "__pci_register_driver" },
	{ 0xaeb7c40f, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x50b40d5c, "pci_disable_msi" },
	{ 0xbf5e9920, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0xcfb5027a, "__put_devmap_managed_page_refs" },
	{ 0xb9814e70, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xb7b5a978, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xbdfb57be, "dev_driver_string" },
	{ 0x3c15664, "dev_addr_mod" },
	{ 0x97f15ca1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x9b68e6b9, "dma_map_page_attrs" },
	{ 0x5601577b, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0xe539c4f0, "__napi_schedule" },
	{ 0x49fda7f3, "pci_enable_msix_range" },
	{ 0xdfbf4df3, "pci_write_vpd_any" },
	{ 0x9bf18608, "__alloc_skb" },
	{ 0x810a136d, "__free_pages" },
	{ 0x2d145943, "_dev_info" },
	{ 0xa0ffcabe, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8595451d, "pci_find_capability" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x464e7f48, "_dev_alert" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x508fd09, "pci_enable_msi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xaec9cb73, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8850a140, "netif_set_real_num_tx_queues" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x14685e63, "netif_set_real_num_rx_queues" },
	{ 0xbbf390b4, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2bb7a556, "kfree_skb_reason" },
	{ 0xb99157a1, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3570c339, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xf2edb2c4, "pci_read_config_word" },
	{ 0x1327e7a1, "napi_enable" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x6ba1b375, "netif_receive_skb" },
	{ 0x91bda456, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd25dc70, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x26cc5d08, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0x72d52a25, "ethtool_op_get_link" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xbfd00d63, "netif_tx_stop_all_queues" },
	{ 0x7fad6024, "pci_restore_state" },
	{ 0xef1701ae, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x99ceee05, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7c2022da, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xf9bec1d9, "netif_rx" },
	{ 0x411346a9, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x87541fc2, "dma_set_coherent_mask" },
	{ 0x5b950db7, "sysfs_remove_group" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x50e24b19, "neigh_destroy" },
	{ 0x980bf65b, "dma_free_attrs" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbe1bf214, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf09eba7f, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x91174371, "netdev_master_upper_dev_get_rcu" },
	{ 0x993708c3, "__folio_put" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2c42eb2e, "netif_carrier_off" },
	{ 0x33d910e7, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xb818dd58, "netif_carrier_on" },
	{ 0xe915f0dc, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9b2a3676, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc32e9829, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8668c69c, "vlan_dev_vlan_id" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x8ab1ebb0, "napi_schedule_prep" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x94479ee2, "napi_disable" },
	{ 0xc244d8b4, "dev_kfree_skb_any_reason" },
	{ 0x59998e61, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcb8c581c, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x39db6e13, "netdev_info" },
	{ 0xde287c5a, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E2F81FAFDD33310C436FC66");
