#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe03c18a0, "genphy_read_lpa" },
	{ 0x5cf667c5, "genphy_c37_read_status" },
	{ 0xb75afac9, "phy_resolve_aneg_pause" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xb7d79ab9, "mdio_device_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xaab03d0d, "ethnl_cable_test_result" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9c3b96, "ethnl_cable_test_fault_length" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3bfe5851, "genphy_c45_pma_read_abilities" },
	{ 0xcbb4173e, "genphy_c45_pma_setup_forced" },
	{ 0x61ff0e45, "genphy_setup_forced" },
	{ 0x70c0944d, "genphy_read_status" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9a1595e2, "genphy_read_abilities" },
	{ 0x5804bee0, "genphy_soft_reset" },
	{ 0xc3404b9f, "phy_modify_mmd_changed" },
	{ 0x8bd5f45b, "__genphy_config_aneg" },
	{ 0x81d5516b, "genphy_c37_config_aneg" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xc02c0697, "genphy_c45_fast_retrain" },
	{ 0x189fdc43, "genphy_read_master_slave" },
	{ 0x355133a, "genphy_resume" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46bd5975, "phy_drivers_register" },
	{ 0xe1dd97f1, "mdiobus_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa94c991c, "mdiobus_read" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x606149e2, "phy_read_mmd" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x596fdc4a, "mdiobus_c45_modify_changed" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe35c8c43, "phy_modify" },
	{ 0x80c2a67d, "genphy_suspend" },
	{ 0xe3b002c6, "__phy_modify" },
	{ 0xceb77ac4, "__mdiobus_read" },
	{ 0xdef10951, "phy_modify_changed" },
	{ 0x60c4460, "phy_init_hw" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa2593667, "phy_write_mmd" },
	{ 0x9a57fe79, "phy_modify_mmd" },
	{ 0x15330839, "phy_trigger_machine" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa0777629, "phy_error" },
	{ 0x29c98794, "devm_kmalloc" },
	{ 0x27c635d2, "phy_drivers_unregister" },
	{ 0xf537a07, "genphy_update_link" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:000000000100110111010000011?0110");
MODULE_ALIAS("mdio:00000000010011011101000001110100");
MODULE_ALIAS("mdio:00000000010011011101000000100011");
MODULE_ALIAS("mdio:00000000010011011101000001110010");
MODULE_ALIAS("mdio:00000000010011011101000001000001");
MODULE_ALIAS("mdio:00000000010011011101000000110110");
MODULE_ALIAS("mdio:00000000010011011101000000110011");
MODULE_ALIAS("mdio:00000000010011011101000000110100");
MODULE_ALIAS("mdio:00000000010011011101000001000010");
MODULE_ALIAS("mdio:00000000010011011101000100000001");

MODULE_INFO(srcversion, "B4F07D939A103B24DF5C54D");
