#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0xe7420cd7, "");
SYMBOL_CRC(qlt_stop_phase1, 0x07252a6e, "");
SYMBOL_CRC(qlt_stop_phase2, 0x47562cb4, "");
SYMBOL_CRC(qlt_free_mcmd, 0x25286670, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xf52e83e4, "");
SYMBOL_CRC(qlt_xmit_response, 0x154f74a2, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0x8f8eda47, "");
SYMBOL_CRC(qlt_abort_cmd, 0x0d756aca, "");
SYMBOL_CRC(qlt_free_cmd, 0x752853af, "");
SYMBOL_CRC(qlt_lport_register, 0x534fa8e2, "");
SYMBOL_CRC(qlt_lport_deregister, 0xd29ab204, "");
SYMBOL_CRC(qlt_enable_vha, 0x2c9236f0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb74d1e62, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0x4d6e3f0c, "pci_save_state" },
	{ 0xa86a4478, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb7c51be8, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x857471c4, "fc_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x390b89fd, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xd0fa037b, "debugfs_attr_write" },
	{ 0x2421fbc9, "param_ops_uint" },
	{ 0x37096cd3, "dma_pool_create" },
	{ 0xd072ffad, "pci_request_selected_regions" },
	{ 0x4624404f, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x872b8a5e, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x90fc07d5, "pci_enable_device_mem" },
	{ 0x7895ceff, "bsg_job_done" },
	{ 0xe026cf9f, "btree_insert" },
	{ 0xfda0f3a4, "pci_alloc_irq_vectors" },
	{ 0xd08a0421, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0xb7e86a8f, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0xf060159b, "scsi_build_sense" },
	{ 0x7ed07083, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0xfc089d94, "request_firmware" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4679dae8, "fc_remove_host" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6cfe8673, "__pci_register_driver" },
	{ 0x30d09526, "set_user_nice" },
	{ 0xaeb7c40f, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x92a9317c, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xbf5e9920, "pci_request_regions" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb88c6009, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0xe4d01551, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xace6c63b, "pci_clear_mwi" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20ca526c, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x739998b0, "fc_eh_timed_out" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x400a4327, "btree_remove" },
	{ 0x87bfb0ad, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0x749e596b, "pci_try_set_mwi" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x22b070ae, "kmem_cache_create" },
	{ 0xa80b181f, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xd8a00066, "mempool_free" },
	{ 0xb7b5a978, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x322ba7ae, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xbdfb57be, "dev_driver_string" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x3d930973, "trace_array_put" },
	{ 0xdc606691, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x9b68e6b9, "dma_map_page_attrs" },
	{ 0x26431912, "irq_set_affinity_notifier" },
	{ 0xa9f78fa0, "blk_mq_pci_map_queues" },
	{ 0x89b3b74a, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xb707b887, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xed435de0, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x69008d5e, "scsi_host_get" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4f963ed6, "timer_shutdown" },
	{ 0x4e21b394, "fc_host_post_event" },
	{ 0xaad9de05, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2d145943, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x56d9faa8, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xb8d81e5f, "fc_release_transport" },
	{ 0xa7a109dd, "pci_set_mwi" },
	{ 0x7b2da6c8, "btree_lookup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8595451d, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0xaad78abc, "debugfs_attr_read" },
	{ 0xc07ede46, "btree_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc5c8f934, "kobject_uevent_env" },
	{ 0xec04a062, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x55c0ff82, "blk_queue_update_dma_alignment" },
	{ 0x75f52dad, "fc_vport_create" },
	{ 0x4553b958, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x3bd8e52, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x82ab517a, "noop_llseek" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x686c5a02, "fc_remote_port_rolechg" },
	{ 0x4faa0372, "kmem_cache_free" },
	{ 0x3570c339, "dma_alloc_attrs" },
	{ 0xe31bdfb2, "scsi_scan_host" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x9e6e3710, "debugfs_remove" },
	{ 0xf2edb2c4, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x839f501f, "seq_putc" },
	{ 0x99119740, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9ba3230e, "fc_vport_terminate" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xe41f2809, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcf83d4d9, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x1a5d1090, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xa1d17701, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x7fad6024, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8fbfddaa, "pci_alloc_irq_vectors_affinity" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xbec02a5, "scsi_is_host_device" },
	{ 0x7c2022da, "pci_set_master" },
	{ 0x54a6d2c, "param_ops_charp" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x86498451, "dma_get_required_mask" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x2d42ad6, "blk_mq_unique_tag" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa7bbd2be, "kthread_create_on_node" },
	{ 0x87541fc2, "dma_set_coherent_mask" },
	{ 0x6de775b2, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x408ac7b1, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x62818083, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x980bf65b, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x8fadf33b, "fc_host_fpin_rcv" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x620f3d01, "btree_destroy" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0xc2f319bd, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc131c985, "btree_update" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7f2b17e0, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2204d7ce, "__register_chrdev" },
	{ 0xc8dcdfd7, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30d8925a, "fc_eh_should_retry_cmd" },
	{ 0xe7fb0b9a, "pcie_capability_read_dword" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb7114411, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3f75b01b, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x640aef44, "scsi_is_fc_rport" },
	{ 0x9b2a3676, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbc53344a, "seq_puts" },
	{ 0xbf2ecc31, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe31e9c74, "btree_get_prev" },
	{ 0x9df6e93d, "single_release" },
	{ 0x5bbe1d79, "scsi_unblock_requests" },
	{ 0xfe4731fc, "pcie_set_readrq" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xc32e9829, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x83d3ab63, "pci_disable_rom" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8263d10a, "dma_unmap_sg_attrs" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0xefd4af54, "pci_irq_get_affinity" },
	{ 0xe9f1f8c1, "scsi_block_requests" },
	{ 0x1ea94010, "scsi_add_host_with_dma" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xa2a17420, "pci_read_config_byte" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x59998e61, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb2d43759, "single_open" },
	{ 0xc69a472f, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x15146e44, "debugfs_create_dir" },
	{ 0x62369fab, "pci_write_config_word" },
	{ 0xfbfd4879, "sysfs_remove_bin_file" },
	{ 0x109993fd, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x8d676e5c, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x967e9220, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd9a873e7, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xb99668cc, "kmem_cache_destroy" },
	{ 0x7da8c525, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FE570CE6C3452EEAEC62D79");
