#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xac6fb060, "");
SYMBOL_CRC(sas_remove_host, 0x63e74d34, "");
SYMBOL_CRC(sas_get_address, 0xf6e55b4f, "");
SYMBOL_CRC(sas_tlr_supported, 0xa0a540a0, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xff01cdfe, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x7437cfc6, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x69c42b7f, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x44e91d6e, "");
SYMBOL_CRC(sas_phy_add, 0x3f26d31f, "");
SYMBOL_CRC(sas_phy_free, 0x146503ec, "");
SYMBOL_CRC(sas_phy_delete, 0x26188945, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xa19faeff, "");
SYMBOL_CRC(sas_port_alloc, 0x7e17f86c, "");
SYMBOL_CRC(sas_port_alloc_num, 0x4ffc7b8e, "");
SYMBOL_CRC(sas_port_add, 0xfed8d1d3, "");
SYMBOL_CRC(sas_port_free, 0x4cf3414b, "");
SYMBOL_CRC(sas_port_delete, 0xe205b013, "");
SYMBOL_CRC(scsi_is_sas_port, 0xc7288237, "");
SYMBOL_CRC(sas_port_get_phy, 0x0ed19fc3, "");
SYMBOL_CRC(sas_port_add_phy, 0x7f6a45bf, "");
SYMBOL_CRC(sas_port_delete_phy, 0x28cb6e9e, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x0530cd4c, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xa4d5d3f6, "");
SYMBOL_CRC(sas_end_device_alloc, 0x5fa349b3, "");
SYMBOL_CRC(sas_expander_alloc, 0x0fa49f18, "");
SYMBOL_CRC(sas_rphy_add, 0xa6669663, "");
SYMBOL_CRC(sas_rphy_free, 0xa2d92d1b, "");
SYMBOL_CRC(sas_rphy_delete, 0x944b8da9, "");
SYMBOL_CRC(sas_rphy_unlink, 0xfb6b685c, "");
SYMBOL_CRC(sas_rphy_remove, 0xefbd4441, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x9eb20a45, "");
SYMBOL_CRC(sas_attach_transport, 0x49352f63, "");
SYMBOL_CRC(sas_release_transport, 0x9322a872, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a921311, "strncmp" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x3e693d66, "transport_class_register" },
	{ 0x75b76f71, "transport_class_unregister" },
	{ 0x10ce732, "transport_remove_device" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0xa930b4d5, "attribute_container_register" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x152aa255, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb1d2ab82, "_dev_printk" },
	{ 0xbb55cf33, "scsi_mode_sense" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb7e86a8f, "scsi_remove_host" },
	{ 0xbe55bdfc, "attribute_container_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfd218c1f, "bsg_remove_queue" },
	{ 0xb2f5d3b5, "scsi_remove_target" },
	{ 0xbec02a5, "scsi_is_host_device" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x7895ceff, "bsg_job_done" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xca193f45, "dma_opt_mapping_size" },
	{ 0x89c0fa4b, "scsi_get_vpd_page" },
	{ 0x479332fe, "device_initialize" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0xded5fe9, "transport_setup_device" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x231d43f8, "device_for_each_child" },
	{ 0x98334bc4, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x16f3f815, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95cd7a43, "transport_add_device" },
	{ 0xf4f97db5, "transport_configure_device" },
	{ 0x499d9da7, "device_del" },
	{ 0x23e58c64, "transport_destroy_device" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xa80b181f, "get_device" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2b0a7c0b, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x6cdbbcfa, "scsi_scan_target" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9e284e4, "bsg_setup_queue" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x754d539c, "strlen" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "223C2971947F8D4DDF94D8F");
