#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x0115efbe, "");
SYMBOL_CRC(wpan_phy_for_each, 0x200398a2, "");
SYMBOL_CRC(wpan_phy_new, 0x8ff12a17, "");
SYMBOL_CRC(wpan_phy_register, 0xa84dd6b0, "");
SYMBOL_CRC(wpan_phy_unregister, 0x39da317e, "");
SYMBOL_CRC(wpan_phy_free, 0x50180676, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xa1f87956, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x9175987b, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xdb026169, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xf9b534be, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x12900ebb, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xfdb1fd50, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x32166a6e, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x3f606814, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xe0fc4bb5, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xa2d4047d, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xcde76641, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x28c09dd2, "bpf_trace_run4" },
	{ 0xa6fae3b3, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0x45ff5d76, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0xaf65fe0d, "nla_put_64bit" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x479332fe, "device_initialize" },
	{ 0x3719d445, "genlmsg_put" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x20ca526c, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa80b181f, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb058b4f4, "device_rename" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0x31018b34, "netlink_broadcast" },
	{ 0x9bf18608, "__alloc_skb" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x22aae944, "class_for_each_device" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x3ea8ea0f, "__dev_get_by_index" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe260216c, "init_net" },
	{ 0xaec9cb73, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x16f3f815, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x61665b73, "netlink_unicast" },
	{ 0xddc20dce, "dev_get_by_index" },
	{ 0x2bb7a556, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xaa01bb9d, "skb_push" },
	{ 0xec183358, "nla_put" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x77d75fc2, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4dcc74fc, "unregister_pernet_device" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x1b5fc3d5, "bpf_trace_run1" },
	{ 0x499d9da7, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x152770cd, "dev_set_mac_address" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x1e2a90d6, "__pskb_pull_tail" },
	{ 0xa414f440, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x342f75c3, "bpf_trace_run3" },
	{ 0x2fd243d0, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1fb90c9, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6ebb1b98, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4e2dcf60, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf72035b5, "genl_unregister_family" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd3f37ff9, "genl_register_family" },
	{ 0x30964bb2, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xffd97c21, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4f216da6, "get_net_ns_by_fd" },
	{ 0xa9b2c447, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x5f59e05b, "class_find_device" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "09D61B79C7F666EA2474C47");
