#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x5d9745b0, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0xa9ca26cd, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0xf36d214a, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0x7c750151, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0x875ffe45, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0x0025f5dc, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x9058f96e, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0x9edcf5e5, "_gpl");
SYMBOL_CRC(ip_set_test, 0x30ed72aa, "_gpl");
SYMBOL_CRC(ip_set_add, 0x2ea5db58, "_gpl");
SYMBOL_CRC(ip_set_del, 0xd57d9345, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x9cab847d, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0x001aff9f, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x6d83f102, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x1e7546c4, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xf901d3e6, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x7e9c5653, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0xf5b5137a, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x05438ba2, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b57a332, "__netlink_dump_start" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x392974cf, "skb_copy_bits" },
	{ 0xf5d509b1, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8fb49979, "nf_register_sockopt" },
	{ 0xaf65fe0d, "nla_put_64bit" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x71733cc1, "nfnetlink_subsys_register" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x5a72443e, "lockdep_nfnl_is_held" },
	{ 0x6c01e107, "netlink_ack" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf33f78e, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcab77ce1, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9c454e0b, "ipv6_skip_exthdr" },
	{ 0x9bf18608, "__alloc_skb" },
	{ 0xa88ce939, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa30de34c, "rcu_bh_lock_map" },
	{ 0x2bb7a556, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x7fb0d9ef, "nfnetlink_unicast" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xec183358, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x966b1a7b, "ns_capable" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6d26ff53, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x7babf828, "nfnetlink_subsys_unregister" },
	{ 0xa414f440, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x59998e61, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "FAB118FB71418B83DD8F074");
