#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x9894cc32, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xe57b3f3f, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xc87d471f, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x0a43b496, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xd58193c7, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x91ef14c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82302f23, "nf_ct_ext_add" },
	{ 0x555157fa, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3e35916e, "nsh_pop" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x4f225fe4, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xcb1bf670, "nf_ct_set_timeout" },
	{ 0x143f762e, "dev_get_stats" },
	{ 0xeb57645f, "__nla_put" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x902d9393, "dev_fill_metadata_dst" },
	{ 0x28c09dd2, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x392974cf, "skb_copy_bits" },
	{ 0x53035fc2, "nf_ct_handle_fragments" },
	{ 0xd734fdf3, "eth_mac_addr" },
	{ 0xa6fae3b3, "skb_put" },
	{ 0xc98c1414, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbf68e757, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe6a2a276, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xdb04c662, "nf_ct_nat" },
	{ 0x2ff5dcbb, "nla_reserve" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x61a18314, "skb_eth_pop" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0xbf5815fc, "skb_gso_validate_mac_len" },
	{ 0xaf65fe0d, "nla_put_64bit" },
	{ 0x7020d84, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x96666cce, "nf_ct_helper" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0xbb6e3575, "__skb_ext_del" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x420e1e99, "rtnl_delete_link" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb20cac16, "rtnl_link_register" },
	{ 0x12edf5e7, "nf_connlabels_put" },
	{ 0x3719d445, "genlmsg_put" },
	{ 0xbce9ea98, "___pskb_trim" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc04a029, "dev_set_promiscuity" },
	{ 0xb252eff5, "nf_ct_destroy_timeout" },
	{ 0x4ef322bb, "nf_ct_add_helper" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0xc6d8bc78, "nf_conntrack_helper_put" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x13c59ba0, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc8f3e17e, "nf_ct_skb_network_trim" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a80e287, "unregister_netdevice_queue" },
	{ 0x22b070ae, "kmem_cache_create" },
	{ 0xec5b4d0b, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x6c4c9a61, "ether_setup" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa49e9b7, "pskb_expand_head" },
	{ 0x39138430, "skb_csum_hwoffload_help" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x3c15664, "dev_addr_mod" },
	{ 0x29e19821, "nf_connlabels_replace" },
	{ 0x97f15ca1, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x2f138c79, "alloc_netdev_mqs" },
	{ 0x9c88edb1, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xb4bf0b1d, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x2a26dbe1, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x31018b34, "netlink_broadcast" },
	{ 0x30d06f05, "skb_eth_push" },
	{ 0xdbde5ede, "nf_conncount_count" },
	{ 0x9bf18608, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xaad9de05, "kmem_cache_alloc" },
	{ 0xe7b6194b, "skb_mpls_pop" },
	{ 0x9d0ae9c9, "skb_vlan_pop" },
	{ 0xa92d66b2, "dst_init" },
	{ 0xa88ce939, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x6558e9e2, "rtnl_link_unregister" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0x8c7b6e32, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe260216c, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x2840fe8c, "ipv6_stub" },
	{ 0x56317369, "skb_mpls_update_lse" },
	{ 0xaec9cb73, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x61665b73, "netlink_unicast" },
	{ 0x756bfb8d, "bpf_trace_run5" },
	{ 0xc1b3efab, "dev_get_by_index_rcu" },
	{ 0x2bb7a556, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xaa01bb9d, "skb_push" },
	{ 0x4faa0372, "kmem_cache_free" },
	{ 0xa1b8e7e2, "netdev_upper_dev_unlink" },
	{ 0xec183358, "nla_put" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x3b8cecf7, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd25dc70, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7d7b401f, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4dcc74fc, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x72d52a25, "ethtool_op_get_link" },
	{ 0x59c50f50, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5438f89b, "nf_nat_helper_put" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1e2a90d6, "__pskb_pull_tail" },
	{ 0x95735d7c, "nf_ct_delete" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x7438fb8d, "nf_conncount_init" },
	{ 0x2e81e99d, "skb_vlan_push" },
	{ 0x8f88f253, "dev_get_tstats64" },
	{ 0xf9bec1d9, "netif_rx" },
	{ 0x67e07df3, "__netdev_alloc_skb" },
	{ 0xc278a6ea, "netdev_master_upper_dev_link" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x73069cb6, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74a76053, "down_read" },
	{ 0x6229cc96, "inet_proto_csum_replace16" },
	{ 0xa414f440, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x1eefca67, "skb_scrub_packet" },
	{ 0xe28a2f11, "nf_ct_deliver_cached_events" },
	{ 0x5c43eb8e, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3da1988b, "skb_tx_error" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x89459132, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0xfa7f0655, "__skb_checksum" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x2a131a20, "inet_proto_csum_replace4" },
	{ 0x35b42107, "nf_conncount_destroy" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x86e9e278, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3a117a41, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4e2dcf60, "dev_get_by_name" },
	{ 0x18585e03, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf95ee3d2, "metadata_dst_alloc" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xda3e1b09, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8b984a3a, "peernet2id_alloc" },
	{ 0x5e189a33, "nf_ct_get_tuplepr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2cac091b, "netdev_rx_handler_register" },
	{ 0xcc8010cc, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xf72035b5, "genl_unregister_family" },
	{ 0x5d744788, "dev_disable_lro" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xc244d8b4, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd3f37ff9, "genl_register_family" },
	{ 0xbf8ce798, "nf_ct_tmpl_free" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x11364c43, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8e1f1f92, "__skb_gso_segment" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xad513501, "skb_mpls_push" },
	{ 0xffd97c21, "register_pernet_device" },
	{ 0xb05e849a, "nf_conntrack_in" },
	{ 0xb64cdd73, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x1612c914, "kmem_cache_alloc_node" },
	{ 0xde287c5a, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb99668cc, "kmem_cache_destroy" },
	{ 0xeb84aa91, "__skb_vlan_pop" },
	{ 0x4b024b97, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xf574077, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "C60B4C9C00F6A436E9C3A1A");
