#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae16875d, "gnet_stats_copy_rate_est" },
	{ 0xd88ce157, "gnet_stats_copy_queue" },
	{ 0x3241063c, "gnet_stats_copy_app" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfae118f3, "unregister_qdisc" },
	{ 0x758005cb, "tcf_block_put" },
	{ 0x8b41f9fd, "qdisc_put" },
	{ 0xded39a6b, "gen_kill_estimator" },
	{ 0x37a0cba, "kfree" },
	{ 0xf53d4c26, "qdisc_class_hash_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xece784c2, "rb_first" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xca9360b5, "rb_next" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xeee6def6, "qdisc_watchdog_schedule_range_ns" },
	{ 0xc72020fa, "qdisc_warn_nonwc" },
	{ 0xec183358, "nla_put" },
	{ 0xa414f440, "skb_trim" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x2363a13c, "qdisc_tree_reduce_backlog" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4c0de954, "qdisc_class_hash_remove" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0xd1730c11, "gen_new_estimator" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfd97d36e, "gen_replace_estimator" },
	{ 0x9bdb00a, "tcf_classify" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x317c06a1, "rcu_read_lock_bh_held" },
	{ 0x6261d2b6, "__qdisc_calculate_pkt_len" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbb9feca3, "register_qdisc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc51ac2d, "qdisc_reset" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x1c1777d9, "qdisc_watchdog_cancel" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x67319fdc, "qdisc_watchdog_init" },
	{ 0x117093be, "qdisc_class_hash_init" },
	{ 0xd6e934b3, "tcf_block_get" },
	{ 0x866a62b2, "gnet_stats_basic_sync_init" },
	{ 0xf99bbb1f, "pfifo_qdisc_ops" },
	{ 0x4c7696a2, "qdisc_create_dflt" },
	{ 0x9764c48b, "qdisc_hash_add" },
	{ 0x7b9d9306, "qdisc_class_hash_insert" },
	{ 0x714a9ce7, "qdisc_class_hash_grow" },
	{ 0xc1b53aeb, "noop_qdisc" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xfc421e79, "gnet_stats_add_queue" },
	{ 0xd99ebfe8, "gnet_stats_copy_basic" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6EEEE90DF5F9263EA98BC82");
