#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0xd96ea1c2, "");
SYMBOL_CRC(snd_unregister_device, 0x70a64fde, "");
SYMBOL_CRC(snd_device_alloc, 0x8bfa234e, "_gpl");
SYMBOL_CRC(snd_card_new, 0xd6bd9401, "");
SYMBOL_CRC(snd_devm_card_new, 0xcd743951, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0xe84734a4, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xc3b2386e, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x402c73a7, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x56928103, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x1d2ad212, "");
SYMBOL_CRC(snd_card_free, 0x0598fc97, "");
SYMBOL_CRC(snd_card_set_id, 0xea1708d2, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0xe254845f, "_gpl");
SYMBOL_CRC(snd_card_register, 0x6a6b7f78, "");
SYMBOL_CRC(snd_component_add, 0x3915b552, "");
SYMBOL_CRC(snd_card_file_add, 0x0c7b715e, "");
SYMBOL_CRC(snd_card_file_remove, 0xa46c6e04, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0xf6cae714, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x697b1c06, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x409dfec6, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x6aef954f, "");
SYMBOL_CRC(snd_ctl_notify, 0xcbdd611f, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xd747e017, "");
SYMBOL_CRC(snd_ctl_new1, 0x993f8770, "");
SYMBOL_CRC(snd_ctl_free_one, 0xcff0987e, "");
SYMBOL_CRC(snd_ctl_add, 0x525096d5, "");
SYMBOL_CRC(snd_ctl_replace, 0x73cbd144, "");
SYMBOL_CRC(snd_ctl_remove, 0xb7ba0fc0, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x337d8be6, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x0c190669, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x88f40d70, "");
SYMBOL_CRC(snd_ctl_rename, 0x1b920fbe, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x935933dd, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x60919cd8, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0xa73f0986, "");
SYMBOL_CRC(snd_ctl_find_id, 0xa454ec02, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x362001cd, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x93ed0534, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x894e8847, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xe5276278, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xd6dae509, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x1e195ba0, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0x3e2e0e45, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x0063607e, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x34b49a5f, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0x95b36ac7, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xca638e31, "");
SYMBOL_CRC(snd_fasync_helper, 0x59b0b435, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0xb3997827, "");
SYMBOL_CRC(snd_device_disconnect, 0xc6cfe382, "_gpl");
SYMBOL_CRC(snd_device_free, 0xa4aeb547, "");
SYMBOL_CRC(snd_device_register, 0x19e738d6, "");
SYMBOL_CRC(snd_device_get_state, 0xe5ae1ad4, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x8bd0d6b5, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0xa1f25f9b, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x39024100, "");
SYMBOL_CRC(snd_info_free_entry, 0x210bc63b, "");
SYMBOL_CRC(snd_info_register, 0x3a0c4459, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0xd7f33001, "_gpl");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0xb85273c7, "_gpl");
SYMBOL_CRC(_snd_ctl_add_follower, 0xee622b26, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x07cb896b, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x2bc7a0ac, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0x779ff98c, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x7f463fad, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x1867b779, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x9b7c356a, "");
SYMBOL_CRC(snd_jack_new, 0x8ca84148, "");
SYMBOL_CRC(snd_jack_set_parent, 0x58917d94, "");
SYMBOL_CRC(snd_jack_set_key, 0xd10a8704, "");
SYMBOL_CRC(snd_jack_report, 0x5993a672, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf1e9abe, "input_allocate_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0x549fac40, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0x32c33057, "kill_fasync" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc4a54c10, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x479332fe, "device_initialize" },
	{ 0x78b91e7d, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xc0806e21, "input_unregister_device" },
	{ 0xb2dcd9c5, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0xe4d01551, "seq_lseek" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xf60e9bc8, "proc_create_data" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4103cd0, "devm_remove_action" },
	{ 0x33ae247f, "import_ubuf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa80b181f, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xfe57327a, "devres_add" },
	{ 0xf29a55c0, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbdfb57be, "dev_driver_string" },
	{ 0xe5c027d8, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x60164ba2, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xd05bb343, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3883421c, "_raw_read_lock_irqsave" },
	{ 0xa88ce939, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61651be, "strcat" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0x16f3f815, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2424449d, "init_uts_ns" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa1655192, "xa_load" },
	{ 0x82ab517a, "noop_llseek" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xbbd029e7, "input_set_capability" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x9d4b68f5, "__devres_alloc_node" },
	{ 0xa8973e3b, "dma_spin_lock" },
	{ 0x3eeeb7eb, "fasync_helper" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x499d9da7, "device_del" },
	{ 0xa35e618d, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x54a6d2c, "param_ops_charp" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xe0253ccd, "input_event" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x3e6876a0, "proc_remove" },
	{ 0x4973352a, "_raw_write_unlock_irqrestore" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x6de775b2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xd986ecb2, "__rwlock_init" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb2e9ac9f, "proc_set_size" },
	{ 0x2204d7ce, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x12698b6d, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb7114411, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x70ca1972, "_copy_from_iter" },
	{ 0xb70789e, "__might_fault" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xe20d08b4, "stream_open" },
	{ 0x9df6e93d, "single_release" },
	{ 0x716a6fee, "pid_vnr" },
	{ 0xfab2f6d4, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x407ef6b9, "__devm_add_action" },
	{ 0xf4195816, "_raw_write_lock_irqsave" },
	{ 0x27a69458, "sound_class" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x1366fe77, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x38e3a89e, "proc_symlink" },
	{ 0x59998e61, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb2d43759, "single_open" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x57906168, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "63EA082E38B04E2103B08A8");
