#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0x19c32097, "");
SYMBOL_CRC(fw_iso_resources_init, 0xde93562e, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x3b905465, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x20c40abe, "");
SYMBOL_CRC(fw_iso_resources_update, 0x7a9b08dc, "");
SYMBOL_CRC(fw_iso_resources_free, 0xb0ffb26c, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x0e5f419b, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x097802da, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x3046e9bf, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x18d9a1a2, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x449c5b65, "");
SYMBOL_CRC(fcp_avc_transaction, 0x98330ca0, "");
SYMBOL_CRC(fcp_bus_reset, 0x66b7da7a, "");
SYMBOL_CRC(cmp_connection_init, 0xfd729d3e, "");
SYMBOL_CRC(cmp_connection_check_used, 0xc65c5c97, "");
SYMBOL_CRC(cmp_connection_destroy, 0xb7fdeaa6, "");
SYMBOL_CRC(cmp_connection_reserve, 0xd833eb7d, "");
SYMBOL_CRC(cmp_connection_release, 0x7f2d924a, "");
SYMBOL_CRC(cmp_connection_establish, 0x84dc3ef3, "");
SYMBOL_CRC(cmp_connection_update, 0x7737a6a1, "");
SYMBOL_CRC(cmp_connection_break, 0xb61c7e88, "");
SYMBOL_CRC(amdtp_stream_init, 0xd5f1be4a, "");
SYMBOL_CRC(amdtp_stream_destroy, 0xabe35569, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0x44964690, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x4abc3ac1, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x2abbe082, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0x17a194d9, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x83335851, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x7d46aafd, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xd87c80a1, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0xadba884b, "");
SYMBOL_CRC(amdtp_domain_init, 0x3293cde1, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0xf55d4858, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x17a912ab, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x7c52b423, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xed1c6c42, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0xb148d16e, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x9702a30a, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x97382317, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x522afab9, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x448253fc, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x95492dc8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb39fd3e9, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0x6774ee82, "fw_run_transaction" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd1cd4def, "snd_rawmidi_receive" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcc93383f, "fw_iso_buffer_init" },
	{ 0xa6e50262, "snd_rawmidi_transmit" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0xc2bf8455, "snd_pcm_hw_constraint_minmax" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x846068dd, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xbe381786, "fw_core_remove_address_handler" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xb7a69fc4, "fw_iso_context_stop" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7adf9d1, "fw_core_add_address_handler" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6e2dd21e, "snd_pcm_hw_rule_add" },
	{ 0xcdbaf07c, "fw_iso_context_queue" },
	{ 0x2d145943, "_dev_info" },
	{ 0xaee0bf16, "fw_card_read_cycle_time" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x792c3239, "fw_iso_buffer_destroy" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x27217e89, "fw_iso_resource_manage" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x1326dc93, "bpf_trace_run9" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3af44d9c, "snd_pcm_period_elapsed_under_stream_lock" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xcd092e70, "fw_iso_context_start" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2ae25ec1, "snd_pcm_stop_xrun" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x88170f92, "snd_pcm_hw_constraint_msbits" },
	{ 0x55017b29, "snd_pcm_period_elapsed" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x905c140a, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "3B575FFB3BA43A157DBDD70");
