#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x88c8e762, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x6d0c77b5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x9a3dab6f, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x86c18e02, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0xd0c02a56, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0x9ce79768, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x5b9b18e7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x59c950de, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x0605f126, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x49b60e77, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x36f5493c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x7c01e526, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0xda5e94d4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xf06665c5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x83a3f85b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x5772e633, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x42f3446c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0xf77234c2, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x61d00c6f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x73b679c2, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x5c8ce1fa, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x0a821d98, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xedd99523, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x3c05fef3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x1b4e9ff1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xda52f214, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0xc7c6ecea, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xa9e94500, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x1ae439f0, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xb081b721, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0x222cece0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66668114, "snd_hdac_stream_release" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xda4e23a9, "snd_hdac_stream_release_locked" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9c8c6b93, "snd_hdac_bus_link_power" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa69030ff, "snd_hdac_bus_exit" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0x2af1c313, "snd_hdac_bus_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x688feef0, "snd_hdac_stream_init" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xbd31ab5b, "snd_hdac_device_unregister" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9f0c2ad7, "snd_hdac_stream_assign" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x38a3d58e, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x76837e70, "snd_hdac_bus_stop_cmd_io" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc649655a, "snd_hdac_bus_init_cmd_io" },
	{ 0x6ea39e50, "snd_hda_bus_type" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x3d970ba9, "driver_register" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");
