#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x36d9ad01, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xa69d4e60, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xa7aebb31, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x1c0a7b44, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x10ec26eb, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xbf6826d8, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x346ac463, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xa70d0351, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x794cb964, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x0bf20b36, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x4b5f6458, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0xdf251ce3, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x08d8a318, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x702300dc, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xc5b73af7, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xbdb465d0, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x4d494067, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x3b016606, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x2f0bfcd1, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0xc5723449, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x92a93d0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54d8c0bf, "snd_hda_apply_verbs" },
	{ 0xd88f5e47, "snd_hda_codec_amp_update" },
	{ 0xe914e41e, "strcpy" },
	{ 0x387adf97, "snd_hda_add_new_ctls" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdd25fa34, "snd_hda_get_connections" },
	{ 0x9873dc0, "snd_hda_codec_amp_init_stereo" },
	{ 0x109f7d43, "snd_hda_set_vmaster_tlv" },
	{ 0x50b35f4d, "hda_get_autocfg_input_label" },
	{ 0xc71d0c07, "query_amp_caps" },
	{ 0x29c98794, "devm_kmalloc" },
	{ 0x741268ec, "snd_hda_mixer_amp_volume_info" },
	{ 0x3abdce8, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xab74fb17, "snd_hda_codec_setup_stream" },
	{ 0x1142ba74, "snd_hda_mixer_amp_switch_info" },
	{ 0x4c1aac82, "hda_codec_driver_unregister" },
	{ 0xa01448cd, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x168ae869, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2cb7f228, "snd_hda_jack_tbl_get_mst" },
	{ 0x5239a890, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5d93c146, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43c7457, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2292b32e, "snd_hda_codec_pcm_new" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd6339f3b, "__snd_hda_codec_cleanup_stream" },
	{ 0x7f463fad, "snd_ctl_sync_vmaster" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0xce4fcaa, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa71d5151, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x44680628, "snd_hda_add_imux_item" },
	{ 0x98002a89, "snd_hda_correct_pin_ctl" },
	{ 0x9f07dc6a, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8ddc59b0, "snd_hda_create_dig_out_ctls" },
	{ 0x4c9eb6bc, "snd_hda_multi_out_dig_close" },
	{ 0xc6b32cf9, "snd_hda_get_conn_index" },
	{ 0xc73a7b4d, "snd_hda_multi_out_analog_open" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xa580749b, "snd_hda_create_spdif_share_sw" },
	{ 0xb3025452, "snd_hda_find_mixer_ctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xa7bd2dd0, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x9801296, "snd_hda_parse_pin_defcfg" },
	{ 0xec80a683, "snd_hda_codec_amp_init" },
	{ 0x11ffc936, "snd_hda_create_spdif_in_ctls" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x44bffd96, "is_jack_detectable" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x62b67aa3, "snd_hda_multi_out_analog_cleanup" },
	{ 0x8802fcb2, "snd_hda_multi_out_analog_prepare" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x34b49a5f, "snd_ctl_boolean_stereo_info" },
	{ 0x7e54e667, "snd_hda_get_conn_list" },
	{ 0xb8356740, "snd_hda_mixer_amp_switch_get" },
	{ 0xa10bff2a, "snd_hda_codec_set_pin_target" },
	{ 0x5cc82e35, "led_classdev_register_ext" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x52a42d22, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3eaef902, "snd_hdac_regmap_write_raw" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdd65b5d8, "snd_hda_mixer_amp_volume_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x3b565559, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0xb040a862, "snd_hda_check_amp_caps" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7bd9e0c, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x827ceb3, "snd_hda_jack_unsol_event" },
	{ 0xa1e8ad50, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x450726ec, "snd_hda_jack_add_kctls" },
	{ 0xd6c23e55, "snd_hda_mixer_amp_tlv" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x8f1cc2e6, "__snd_hda_add_vmaster" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x89c6b410, "snd_hda_codec_amp_stereo" },
	{ 0xc4b3de9, "snd_hda_sync_vmaster_hook" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd6ae7da6, "snd_hda_apply_fixup" },
	{ 0xb74b3caa, "snd_hda_enum_helper_info" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x9a9edf9c, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x36b2050c, "snd_hdac_codec_read" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x92ed4c94, "snd_hda_mixer_amp_volume_put" },
	{ 0x7da8d381, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x1e70eac9, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3400490, "snd_hdac_regmap_sync" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd,ledtrig-audio");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "8B32622CA9DD77CAC8B4239");
