#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0xe77c41e4, "");
SYMBOL_CRC(oxygen_read16, 0x647d64a9, "");
SYMBOL_CRC(oxygen_read32, 0xf382e9de, "");
SYMBOL_CRC(oxygen_write8, 0x97dc3748, "");
SYMBOL_CRC(oxygen_write16, 0x15b85cb4, "");
SYMBOL_CRC(oxygen_write32, 0x70946ce2, "");
SYMBOL_CRC(oxygen_write8_masked, 0xeac852db, "");
SYMBOL_CRC(oxygen_write16_masked, 0x854ff2c7, "");
SYMBOL_CRC(oxygen_write32_masked, 0x51b86f8b, "");
SYMBOL_CRC(oxygen_write_ac97, 0x82446e0b, "");
SYMBOL_CRC(oxygen_read_ac97, 0xf44bffdf, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x815e822a, "");
SYMBOL_CRC(oxygen_write_spi, 0x36051b30, "");
SYMBOL_CRC(oxygen_write_i2c, 0x1aa9f848, "");
SYMBOL_CRC(oxygen_reset_uart, 0xd749eb3a, "");
SYMBOL_CRC(oxygen_write_uart, 0x530b2a19, "");
SYMBOL_CRC(oxygen_pci_probe, 0xeca7dbed, "");
SYMBOL_CRC(oxygen_pci_pm, 0xc9166213, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x8c80cb72, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x88f894f5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7398dd5a, "devm_request_threaded_irq" },
	{ 0x29c98794, "devm_kmalloc" },
	{ 0x525096d5, "snd_ctl_add" },
	{ 0x43316539, "snd_pcm_new" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x6a6b7f78, "snd_card_register" },
	{ 0x53df7429, "finish_wait" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xbf5e9920, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe84734a4, "snd_card_free_on_error" },
	{ 0xd7f33001, "snd_card_rw_proc_new" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x59e244b, "snd_pcm_set_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc606691, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x993f8770, "snd_ctl_new1" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3915b552, "snd_component_add" },
	{ 0x2d145943, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x63607e, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcbdd611f, "snd_ctl_notify" },
	{ 0xadcf33c, "snd_pcm_set_ops" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x509d6071, "snd_pcm_set_managed_buffer" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9fc8e5e5, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7c2022da, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xcd743951, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb7114411, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x47d0d1d0, "snd_mpu401_uart_new" },
	{ 0xf2905b6e, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x88170f92, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x55017b29, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x90ae987, "snd_pcm_hw_constraint_step" },
	{ 0xf973e646, "pcim_enable_device" },
	{ 0x5d9e6167, "mutex_destroy" },
	{ 0x62369fab, "pci_write_config_word" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x10f57da8, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
