#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0x5b7e39df, "");
SYMBOL_CRC(snd_trident_stop_voice, 0xf69316c8, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0x0d9b3ef6, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x2b6f98a7, "");
SYMBOL_CRC(snd_trident_free_voice, 0x7b510aec, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7398dd5a, "devm_request_threaded_irq" },
	{ 0x525096d5, "snd_ctl_add" },
	{ 0xdb857562, "snd_ac97_resume" },
	{ 0x43316539, "snd_pcm_new" },
	{ 0x6a6b7f78, "snd_card_register" },
	{ 0x850ae8a9, "snd_devm_alloc_dir_pages" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6cfe8673, "__pci_register_driver" },
	{ 0xc2bf8455, "snd_pcm_hw_constraint_minmax" },
	{ 0x78b91e7d, "param_array_ops" },
	{ 0xbf5e9920, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd7f33001, "snd_card_rw_proc_new" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x2178c1a9, "snd_ac97_mixer" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe8cf3246, "snd_sgbuf_get_addr" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xead6cef5, "snd_ac97_bus" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x59e244b, "snd_pcm_set_sync" },
	{ 0xb7b5a978, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x993f8770, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x1d300c95, "snd_ac97_suspend" },
	{ 0x61651be, "strcat" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x63607e, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xad2ac505, "snd_util_memhdr_new" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xcbdd611f, "snd_ctl_notify" },
	{ 0xadcf33c, "snd_pcm_set_ops" },
	{ 0x509d6071, "snd_pcm_set_managed_buffer" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9fc8e5e5, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x7c2022da, "pci_set_master" },
	{ 0x54a6d2c, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x87541fc2, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaa31a548, "__snd_util_mem_free" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x50531de9, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xcd743951, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7f2b17e0, "pci_write_config_byte" },
	{ 0xb7114411, "seq_printf" },
	{ 0x4679b216, "snd_util_memhdr_free" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x47d0d1d0, "snd_mpu401_uart_new" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc32e9829, "dma_set_mask" },
	{ 0x55017b29, "snd_pcm_period_elapsed" },
	{ 0x3c79be5b, "__snd_util_memblk_new" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x59998e61, "param_ops_int" },
	{ 0xf973e646, "pcim_enable_device" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x10f57da8, "pci_write_config_dword" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x3de61f7f, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-ac97-codec,snd-pcm,snd-util-mem,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41970AD61B7EA9C53D2F718");
