#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0x16628145, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x805e67a4, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0x16e856d2, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x99cceb7a, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x530c6e4d, "_gpl");
SYMBOL_CRC(line6_read_data, 0x3e46184b, "_gpl");
SYMBOL_CRC(line6_write_data, 0x8ed86491, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x174ed51b, "_gpl");
SYMBOL_CRC(line6_probe, 0x9e741885, "_gpl");
SYMBOL_CRC(line6_disconnect, 0xfc1a870f, "_gpl");
SYMBOL_CRC(line6_suspend, 0x4927fbc8, "_gpl");
SYMBOL_CRC(line6_resume, 0x01c8c772, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x0fb0d8d1, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x024542cd, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x9898ddb8, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x997b8a55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe25878c, "usb_alloc_urb" },
	{ 0xd1cd4def, "snd_rawmidi_receive" },
	{ 0x46976eec, "usb_free_urb" },
	{ 0xe3c90e39, "usb_control_msg_send" },
	{ 0x525096d5, "snd_ctl_add" },
	{ 0x43316539, "snd_pcm_new" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x9e37a8b, "usb_control_msg_recv" },
	{ 0x53df7429, "finish_wait" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x46231c8b, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x993f8770, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x9867bfb4, "usb_put_dev" },
	{ 0x6c235d5a, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x549a6291, "snd_rawmidi_transmit_ack" },
	{ 0x379b0b32, "usb_get_dev" },
	{ 0xaf6e51ec, "usb_submit_urb" },
	{ 0x2d145943, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xa19cdd5a, "snd_pcm_hw_constraint_ratdens" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd6bd9401, "snd_card_new" },
	{ 0x4a2c54c5, "usb_urb_ep_type_check" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd4cfeee3, "snd_hwdep_new" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4680b47c, "snd_rawmidi_transmit_peek" },
	{ 0x1d2ad212, "snd_card_free_when_closed" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xe1bffab2, "usb_set_interface" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0xadcf33c, "snd_pcm_set_ops" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9fc8e5e5, "snd_pcm_set_managed_buffer_all" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x634d3c76, "snd_rawmidi_new" },
	{ 0x402c73a7, "snd_card_disconnect" },
	{ 0xc4c5afb9, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfb7c7b23, "snd_rawmidi_set_ops" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x762eed0d, "usb_kill_urb" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x55017b29, "snd_pcm_period_elapsed" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd,snd-pcm,snd-hwdep");


MODULE_INFO(srcversion, "34ECE1C49CB8A1A32C1D6A6");
