#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xf4b62d45, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x18b9e0af, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xdfdea415, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x8a0070ab, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x066087c6, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x32ccc0c5, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xdc90e792, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x49a3c612, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xa13b53d6, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xfa8648ff, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xfd849a23, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x7b1ee4b6, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xd3f42ff4, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x7d4fe4ce, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x5e42b8f7, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xf9f5d5b9, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x79d58917, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xebbbedbd, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xa8184792, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x7105375e, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x3b327d05, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x24b3c9c4, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x36516fea, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xaa7aecb7, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xa5dd142a, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x9da48981, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x23e51095, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xdebc8d8d, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xe9888a0d, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x9171fa60, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xf83632a1, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xf0236433, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x1e9266f9, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x89efd6f7, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xd61fa8d4, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x6a9b3a8a, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xe1296ff4, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x134826dd, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x9038a3b5, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x0844b9ff, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x5adef545, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xfc03d459, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x4b6a7c30, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x5f8776de, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x1bfb9920, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x66554613, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xd1ecaa4b, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x36746fd6, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x40f51c3f, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x776279b3, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xb4193434, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x3e2e63cb, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x3ddaf0ef, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x2d070cdd, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x1cb621bc, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xbd975774, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x1f63fbc6, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x06926922, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xc643e101, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x0cdedb57, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x22b2427e, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x8c3bb633, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x3e5728e3, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x4ea6b8a4, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x73bbe686, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x64e309c0, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xc21bdeea, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xe9d754fb, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xd1ea9df9, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xff246532, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xa3186112, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xd972c848, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x854e8ac3, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x6660203c, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x2db5bc46, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x2d5881d8, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xc663a887, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x040da978, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x7cd9d154, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x4f12937f, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x9510019b, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x80bda2b9, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x5858b5cf, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x2dfcb4f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefa884ee, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x84c930d2, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x28c09dd2, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x29c98794, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0xc49e136a, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xbe47ca79, "cdev_device_del" },
	{ 0xdea97820, "bpf_trace_run6" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x50cb271a, "device_unregister" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb205409a, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x479332fe, "device_initialize" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x231d43f8, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20ca526c, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4103cd0, "devm_remove_action" },
	{ 0xa80b181f, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x3cc53975, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbdfb57be, "dev_driver_string" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0xdc606691, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xc766e2e4, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0xdcdfdbb3, "cdev_device_add" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f036e7, "walk_iomem_res_desc" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x38987c18, "bus_for_each_dev" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x2b0a7c0b, "sysfs_create_link" },
	{ 0xe6a89eb6, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbaf71656, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0xc4230fc7, "sysfs_update_group" },
	{ 0x3c361681, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0x3f717fb4, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xb8482b31, "debugfs_create_bool" },
	{ 0xc47cdba9, "bus_find_device" },
	{ 0x16f3f815, "device_add" },
	{ 0x152aa255, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa1655192, "xa_load" },
	{ 0x82ab517a, "noop_llseek" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0x794fdf9a, "device_attach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6fb89140, "kernfs_find_and_get_ns" },
	{ 0x9e6e3710, "debugfs_remove" },
	{ 0xf2edb2c4, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x38a3d58e, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5fb45f16, "device_find_child" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0xfbb9076a, "devm_release_action" },
	{ 0x499d9da7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xcc37256, "down_read_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3ce70c2b, "alloc_free_mem_region" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdb722fcf, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x89e67169, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x74a76053, "down_read" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0x342f75c3, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xb2fb3bd2, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xcc97fb, "down_write_killable" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0x401159ce, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x10486318, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb7114411, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6ebb1b98, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb70789e, "__might_fault" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x15acb862, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x407ef6b9, "__devm_add_action" },
	{ 0x39843880, "pci_find_dvsec_capability" },
	{ 0x50df2b05, "device_find_child_by_name" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xc0f804a0, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x62369fab, "pci_write_config_word" },
	{ 0x15146e44, "debugfs_create_dir" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x3d970ba9, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x228fc65, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf9c6319e, "pci_bus_type" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0x67a2b9a2, "bus_register" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9EA208E9FC2818C03E2E0FD");
