#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(extcon_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_state, "_gpl", "");
KSYMTAB_FUNC(extcon_set_state, "_gpl", "");
KSYMTAB_FUNC(extcon_set_state_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_property, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_property_capability, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property_capability, "_gpl", "");
KSYMTAB_FUNC(extcon_get_extcon_dev, "_gpl", "");
KSYMTAB_FUNC(extcon_register_notifier, "_gpl", "");
KSYMTAB_FUNC(extcon_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(extcon_register_notifier_all, "_gpl", "");
KSYMTAB_FUNC(extcon_unregister_notifier_all, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_free, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_register, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_unregister, "_gpl", "");
KSYMTAB_FUNC(extcon_find_edev_by_node, "_gpl", "");
KSYMTAB_FUNC(extcon_get_edev_by_phandle, "_gpl", "");
KSYMTAB_FUNC(extcon_get_edev_name, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_allocate, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_free, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_register, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_register_notifier, "", "");
KSYMTAB_FUNC(devm_extcon_unregister_notifier, "", "");
KSYMTAB_FUNC(devm_extcon_register_notifier_all, "", "");
KSYMTAB_FUNC(devm_extcon_unregister_notifier_all, "", "");

SYMBOL_CRC(extcon_sync, 0xb79d65b8, "_gpl");
SYMBOL_CRC(extcon_get_state, 0x54c3a4ab, "_gpl");
SYMBOL_CRC(extcon_set_state, 0x9457d5d7, "_gpl");
SYMBOL_CRC(extcon_set_state_sync, 0xd132250f, "_gpl");
SYMBOL_CRC(extcon_get_property, 0xac420dbb, "_gpl");
SYMBOL_CRC(extcon_set_property, 0xf62af829, "_gpl");
SYMBOL_CRC(extcon_set_property_sync, 0x2ec7e2bc, "_gpl");
SYMBOL_CRC(extcon_get_property_capability, 0x94b53410, "_gpl");
SYMBOL_CRC(extcon_set_property_capability, 0x1f96fae5, "_gpl");
SYMBOL_CRC(extcon_get_extcon_dev, 0xa033d265, "_gpl");
SYMBOL_CRC(extcon_register_notifier, 0xb4edea4c, "_gpl");
SYMBOL_CRC(extcon_unregister_notifier, 0x26b65aeb, "_gpl");
SYMBOL_CRC(extcon_register_notifier_all, 0xd5e5888d, "_gpl");
SYMBOL_CRC(extcon_unregister_notifier_all, 0x6ad117af, "_gpl");
SYMBOL_CRC(extcon_dev_free, 0xd360a227, "_gpl");
SYMBOL_CRC(extcon_dev_register, 0x5f6f9542, "_gpl");
SYMBOL_CRC(extcon_dev_unregister, 0x451d3458, "_gpl");
SYMBOL_CRC(extcon_find_edev_by_node, 0x37e3b004, "_gpl");
SYMBOL_CRC(extcon_get_edev_by_phandle, 0xd5518337, "_gpl");
SYMBOL_CRC(extcon_get_edev_name, 0xaf504fe8, "_gpl");
SYMBOL_CRC(devm_extcon_dev_allocate, 0x67500671, "_gpl");
SYMBOL_CRC(devm_extcon_dev_free, 0x7330e3d0, "_gpl");
SYMBOL_CRC(devm_extcon_dev_register, 0x25ce4d14, "_gpl");
SYMBOL_CRC(devm_extcon_dev_unregister, 0xed122b33, "_gpl");
SYMBOL_CRC(devm_extcon_register_notifier, 0x95aebb6a, "");
SYMBOL_CRC(devm_extcon_unregister_notifier, 0x5f144545, "");
SYMBOL_CRC(devm_extcon_register_notifier_all, 0x36f83cc0, "");
SYMBOL_CRC(devm_extcon_unregister_notifier_all, 0xc43005a4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x50cb271a, "device_unregister" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x92d9b5ab, "class_destroy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa80b181f, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xfe57327a, "devres_add" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0xd3033dbc, "devres_release" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xc5c8f934, "kobject_uevent_env" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x740552da, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9d4b68f5, "__devres_alloc_node" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0xdd835c1d, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x53287bf7, "kobject_uevent" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C3D21868AD380189738579");
