#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x0de0960f, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xf5df6b9f, "_gpl");
SYMBOL_CRC(stm_data_write, 0x6a6b7cf2, "_gpl");
SYMBOL_CRC(stm_register_device, 0x7e1400b1, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x461bbee5, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x33d2b8f4, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x84773bce, "_gpl");
SYMBOL_CRC(stm_source_write, 0xbfb22015, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xf89de236, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa49f2b0a, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x50cb271a, "device_unregister" },
	{ 0xe34d9aff, "pm_runtime_set_autosuspend_delay" },
	{ 0x30b5a5c9, "vm_iomap_memory" },
	{ 0x431f8f30, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x479332fe, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x5db6b633, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x787aa750, "synchronize_srcu" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47d35a11, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5c5a10db, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98334bc4, "put_device" },
	{ 0x4a92f96f, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xa88ce939, "module_put" },
	{ 0xbaf71656, "compat_ptr_ioctl" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x606d8142, "up_write" },
	{ 0xc87484bf, "configfs_register_subsystem" },
	{ 0x16f3f815, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xeb2afb1e, "__srcu_read_lock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x16c586b8, "config_group_init_type_name" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x77d75fc2, "class_unregister" },
	{ 0x5d17a598, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8bdb8787, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xf674c433, "__init_srcu_struct" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xf4615df6, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd42310e, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcddb2a22, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x506c51c3, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6e87a1c8, "config_item_put" },
	{ 0x2204d7ce, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x12698b6d, "kobject_set_name" },
	{ 0x6ebb1b98, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf8acf54e, "__srcu_read_unlock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x66f93311, "__pm_runtime_suspend" },
	{ 0xde76dfbd, "srcu_check_nmi_safety" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xed38e781, "__pm_runtime_use_autosuspend" },
	{ 0xab91b1b9, "__pm_runtime_disable" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xa9b2c447, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x5f59e05b, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8117C4D1C07EC8F6D13605");
