#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_get_i2c_resource, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_client_count, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_adapter_by_handle, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_new_device_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_waive_d0_probe, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0x45103090, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0xa1682605, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0xd9cbb8bc, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0xe312e198, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x64403385, "_gpl");
SYMBOL_CRC(i2c_client_type, 0xb7f2500a, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0xf3423eef, "");
SYMBOL_CRC(i2c_new_client_device, 0xac907611, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0x47a017d9, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0x2d3ec472, "");
SYMBOL_CRC(i2c_new_dummy_device, 0x67a59382, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0x58a999f1, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0xb9add12c, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0xda5d8b92, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0x4c9fb944, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0x6442834e, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0x7c0b7f57, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0x96713c8b, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0x40325b9d, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0x8d35f475, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0x2f2a22a5, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0xd1cb7779, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0x42195a0e, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0x0b398fcc, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0x89e87733, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0x9f5d2a82, "");
SYMBOL_CRC(i2c_del_driver, 0x2681ea34, "");
SYMBOL_CRC(i2c_clients_command, 0xfea6df5c, "");
SYMBOL_CRC(__i2c_transfer, 0x415a6a60, "");
SYMBOL_CRC(i2c_transfer, 0xe68ec69d, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0x67050f6d, "");
SYMBOL_CRC(i2c_get_device_id, 0x44e8dd56, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0x7b9d4652, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0x7aa82f81, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0xad346b37, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0xbfc1b546, "");
SYMBOL_CRC(i2c_put_adapter, 0x1ee3a92c, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0xfa2e5f32, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0x08affc70, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0x55783d0c, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0x1b9948f8, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0xcbdc70e1, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0x8e796ae7, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0xfcfddc26, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0x1c11296d, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0x6d54d4fc, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0x12d752f4, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0x7d35b298, "");
SYMBOL_CRC(i2c_smbus_xfer, 0xebedffe9, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0xe80922f5, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0x33d58caf, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x6bd37ee0, "_gpl");
SYMBOL_CRC(i2c_acpi_get_i2c_resource, 0x7f8839d6, "_gpl");
SYMBOL_CRC(i2c_acpi_client_count, 0x39d6338f, "_gpl");
SYMBOL_CRC(i2c_acpi_find_bus_speed, 0xba85abf6, "_gpl");
SYMBOL_CRC(i2c_acpi_find_adapter_by_handle, 0x4049f60d, "_gpl");
SYMBOL_CRC(i2c_acpi_new_device_by_fwnode, 0xbc08582b, "_gpl");
SYMBOL_CRC(i2c_acpi_waive_d0_probe, 0x7af7e13c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x14fd915a, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0xd9bc7e00, "is_acpi_device_node" },
	{ 0x77a7a17e, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x42d2597f, "gpiod_get_direction" },
	{ 0x92872851, "device_property_match_string" },
	{ 0xc0fb897d, "devres_release_group" },
	{ 0x7344405a, "idr_find" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0xdea97820, "bpf_trace_run6" },
	{ 0xbfdc51fc, "acpi_driver_match_device" },
	{ 0x50cb271a, "device_unregister" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x630c232b, "irq_domain_remove" },
	{ 0xf6c9b275, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xff52ef86, "acpi_set_modalias" },
	{ 0x1137063d, "dummy_irq_chip" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x177ef618, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x231d43f8, "device_for_each_child" },
	{ 0x3226f046, "bus_for_each_drv" },
	{ 0x343bdf1, "__i2c_board_list" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x787aa750, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa80b181f, "get_device" },
	{ 0xb09497c8, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xbdfb57be, "dev_driver_string" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18e7286d, "device_match_fwnode" },
	{ 0x67d7bf2d, "acpi_dev_get_resources" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a9afc44, "irq_set_chip_and_handler_name" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0x650838ba, "acpi_dev_ready_for_enumeration" },
	{ 0x4a92f96f, "pm_runtime_enable" },
	{ 0xc9bf61d1, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4c2d3436, "handle_simple_irq" },
	{ 0x38987c18, "bus_for_each_dev" },
	{ 0x2d145943, "_dev_info" },
	{ 0x780ea6ff, "dev_pm_domain_detach" },
	{ 0xa88ce939, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x254bd0af, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0x3c361681, "bus_unregister" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x45ef38d5, "device_wakeup_enable" },
	{ 0x606d8142, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc47cdba9, "bus_find_device" },
	{ 0xe35183be, "acpi_dev_resource_interrupt" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf8023211, "dev_pm_set_wake_irq" },
	{ 0xa6e2c83c, "irq_get_irq_data" },
	{ 0x72f84ba7, "rt_mutex_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x2950c533, "rt_mutex_trylock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x38a3d58e, "driver_unregister" },
	{ 0xe07e5f44, "acpi_reconfig_notifier_unregister" },
	{ 0x18386c1a, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0xdd835c1d, "device_register" },
	{ 0x5eeb7b37, "__irq_resolve_mapping" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x564f7608, "acpi_reconfig_notifier_register" },
	{ 0x25dab296, "tracepoint_srcu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0xf188e283, "device_get_match_data" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x3438ec78, "acpi_dev_clear_dependencies" },
	{ 0xa5bfaed2, "acpi_bus_get_status" },
	{ 0x7f7c7c1a, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfb4e8141, "device_remove_software_node" },
	{ 0xdbd8ea5, "acpi_match_device_ids" },
	{ 0xf4615df6, "pm_runtime_no_callbacks" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d9e4aef, "pinctrl_lookup_state" },
	{ 0x342f75c3, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0x506c51c3, "__pm_runtime_resume" },
	{ 0x6af1dae7, "rt_mutex_lock_nested" },
	{ 0xb2f8793f, "dev_pm_clear_wake_irq" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x62b7f0cc, "acpi_fetch_acpi_dev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfa87b93e, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b05c72e, "irq_create_mapping_affinity" },
	{ 0xd01ba3c0, "acpi_unbind_one" },
	{ 0xaa05b55e, "__rt_mutex_init" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc7732529, "__i2c_board_lock" },
	{ 0x5fb35a77, "acpi_dev_gpio_irq_wake_get_by" },
	{ 0x44c0395, "pinctrl_select_state" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6d8ced77, "device_add_software_node" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x407ef6b9, "__devm_add_action" },
	{ 0xf72d3632, "acpi_device_modalias" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x46ce8d70, "bpf_trace_run7" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xab91b1b9, "__pm_runtime_disable" },
	{ 0x3d684e5a, "device_match_acpi_handle" },
	{ 0x88be5c5e, "gpiod_direction_output" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x3d970ba9, "driver_register" },
	{ 0x4ff9a210, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1e1d89fb, "__dev_fwnode" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x67a2b9a2, "bus_register" },
	{ 0x8f63d39b, "acpi_device_uevent_modalias" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2D11197117898DF7F708362");
