#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rvt_alloc_device, "", "");
KSYMTAB_FUNC(rvt_dealloc_device, "", "");
KSYMTAB_FUNC(rvt_register_device, "", "");
KSYMTAB_FUNC(rvt_unregister_device, "", "");
KSYMTAB_FUNC(rvt_init_port, "", "");
KSYMTAB_FUNC(rvt_check_ah, "", "");
KSYMTAB_FUNC(rvt_cq_enter, "", "");
KSYMTAB_FUNC(rvt_mcast_find, "", "");
KSYMTAB_FUNC(rvt_fast_reg_mr, "", "");
KSYMTAB_FUNC(rvt_invalidate_rkey, "", "");
KSYMTAB_FUNC(rvt_lkey_ok, "", "");
KSYMTAB_FUNC(rvt_rkey_ok, "", "");
KSYMTAB_DATA(ib_rvt_state_ops, "", "");
KSYMTAB_FUNC(rvt_error_qp, "", "");
KSYMTAB_FUNC(rvt_get_rwqe, "", "");
KSYMTAB_FUNC(rvt_comm_est, "", "");
KSYMTAB_FUNC(rvt_rc_error, "", "");
KSYMTAB_FUNC(rvt_rnr_tbl_to_usec, "", "");
KSYMTAB_FUNC(rvt_add_retry_timer_ext, "", "");
KSYMTAB_FUNC(rvt_add_rnr_timer, "", "");
KSYMTAB_FUNC(rvt_stop_rc_timers, "", "");
KSYMTAB_FUNC(rvt_del_timers_sync, "", "");
KSYMTAB_FUNC(rvt_rc_rnr_retry, "", "");
KSYMTAB_FUNC(rvt_qp_iter_init, "", "");
KSYMTAB_FUNC(rvt_qp_iter_next, "", "");
KSYMTAB_FUNC(rvt_qp_iter, "", "");
KSYMTAB_FUNC(rvt_send_complete, "", "");
KSYMTAB_FUNC(rvt_copy_sge, "", "");
KSYMTAB_FUNC(rvt_ruc_loopback, "", "");
KSYMTAB_FUNC(rvt_compute_aeth, "", "");
KSYMTAB_FUNC(rvt_get_credit, "", "");
KSYMTAB_FUNC(rvt_restart_sge, "", "");

SYMBOL_CRC(rvt_alloc_device, 0x59c41059, "");
SYMBOL_CRC(rvt_dealloc_device, 0x4af5e955, "");
SYMBOL_CRC(rvt_register_device, 0x903a5a1b, "");
SYMBOL_CRC(rvt_unregister_device, 0x7c510fdc, "");
SYMBOL_CRC(rvt_init_port, 0x87552c80, "");
SYMBOL_CRC(rvt_check_ah, 0x0eb80b55, "");
SYMBOL_CRC(rvt_cq_enter, 0xa56c0c18, "");
SYMBOL_CRC(rvt_mcast_find, 0xb02bd27c, "");
SYMBOL_CRC(rvt_fast_reg_mr, 0x57e36291, "");
SYMBOL_CRC(rvt_invalidate_rkey, 0xc370c17f, "");
SYMBOL_CRC(rvt_lkey_ok, 0xc0f0b29f, "");
SYMBOL_CRC(rvt_rkey_ok, 0x23b7d352, "");
SYMBOL_CRC(ib_rvt_state_ops, 0x0e385842, "");
SYMBOL_CRC(rvt_error_qp, 0x8da407a0, "");
SYMBOL_CRC(rvt_get_rwqe, 0x13b7ea16, "");
SYMBOL_CRC(rvt_comm_est, 0xc173cfaa, "");
SYMBOL_CRC(rvt_rc_error, 0x8936d3b6, "");
SYMBOL_CRC(rvt_rnr_tbl_to_usec, 0xe9cf3e43, "");
SYMBOL_CRC(rvt_add_retry_timer_ext, 0x19d40546, "");
SYMBOL_CRC(rvt_add_rnr_timer, 0x77d680ad, "");
SYMBOL_CRC(rvt_stop_rc_timers, 0xa143f403, "");
SYMBOL_CRC(rvt_del_timers_sync, 0xad3a7265, "");
SYMBOL_CRC(rvt_rc_rnr_retry, 0xce9c92ac, "");
SYMBOL_CRC(rvt_qp_iter_init, 0x73d70273, "");
SYMBOL_CRC(rvt_qp_iter_next, 0x96fa5457, "");
SYMBOL_CRC(rvt_qp_iter, 0xeb7fd4d6, "");
SYMBOL_CRC(rvt_send_complete, 0xc7f3b635, "");
SYMBOL_CRC(rvt_copy_sge, 0x8f2be75a, "");
SYMBOL_CRC(rvt_ruc_loopback, 0x0c67bdc4, "");
SYMBOL_CRC(rvt_compute_aeth, 0x3cfb0d44, "");
SYMBOL_CRC(rvt_get_credit, 0x7f265f25, "");
SYMBOL_CRC(rvt_restart_sge, 0x09ec4cf2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a2a5ba1, "rdma_copy_ah_attr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2c61476f, "ib_umem_release" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0x9707a93a, "hrtimer_try_to_cancel" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8e713733, "hrtimer_init" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe1a193e9, "ib_sg_to_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c01cfd5, "timer_delete" },
	{ 0x20ca526c, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4456764b, "_ib_alloc_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x14599c40, "ib_unregister_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x520e2100, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5635a60a, "vmalloc_user" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x12dbe546, "kmalloc_node_trace" },
	{ 0x2d145943, "_dev_info" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x5dbf9a06, "ib_unregister_mad_agent" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x59c847cd, "cpumask_of_node" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0xca5d9c62, "rdma_destroy_ah_attr" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa67cfc0, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x756bfb8d, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd8c2451b, "ib_umem_get" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x368e3ed4, "ib_query_port" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x2a8cbb6e, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x4aeb738f, "rdma_destroy_ah_user" },
	{ 0xf5dfe40d, "ib_dealloc_device" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xaa95a801, "ib_free_send_mad" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x342f75c3, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x999e8297, "vfree" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf18008d, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xa4278fd, "ib_register_mad_agent" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0xf7586928, "remap_vmalloc_range" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0xf93e202d, "rdma_replace_ah_attr" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xeb43a260, "ib_set_device_ops" },
	{ 0x61d24c52, "ib_rate_to_mbps" },
	{ 0x5efde415, "flush_work" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_uverbs");


MODULE_INFO(srcversion, "ED8D30DB8BC26639765D111");
