#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(amd_iommu_bind_pasid, "", "");
KSYMTAB_FUNC(amd_iommu_unbind_pasid, "", "");
KSYMTAB_FUNC(amd_iommu_init_device, "", "");
KSYMTAB_FUNC(amd_iommu_free_device, "", "");
KSYMTAB_FUNC(amd_iommu_set_invalid_ppr_cb, "", "");
KSYMTAB_FUNC(amd_iommu_set_invalidate_ctx_cb, "", "");

SYMBOL_CRC(amd_iommu_bind_pasid, 0xe9e75998, "");
SYMBOL_CRC(amd_iommu_unbind_pasid, 0xf1ee2d1b, "");
SYMBOL_CRC(amd_iommu_init_device, 0xfea3d373, "");
SYMBOL_CRC(amd_iommu_free_device, 0x88d6bdc5, "");
SYMBOL_CRC(amd_iommu_set_invalid_ppr_cb, 0xbf606090, "");
SYMBOL_CRC(amd_iommu_set_invalidate_ctx_cb, 0x02dc36a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc8cdfed1, "amd_iommu_flush_page" },
	{ 0xb0cc3928, "amd_iommu_flush_tlb" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x48d50e79, "amd_iommu_register_ppr_notifier" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x498c3890, "amd_iommu_domain_clear_gcr3" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x285d503, "amd_iommu_complete_ppr" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x37a0cba, "kfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x53df7429, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x2d4e0120, "get_task_mm" },
	{ 0x2fd1189f, "mmu_notifier_register" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x280bfec1, "amd_iommu_domain_set_gcr3" },
	{ 0x1500041b, "mmput" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x518fe751, "mmu_notifier_unregister" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0xf9c6319e, "pci_bus_type" },
	{ 0xec8506bc, "iommu_domain_alloc" },
	{ 0xd0fc57b1, "amd_iommu_domain_direct_map" },
	{ 0xbd6f6d8b, "amd_iommu_domain_enable_v2" },
	{ 0xd037905e, "iommu_domain_free" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5c931076, "iommu_group_get" },
	{ 0x1f8b520a, "iommu_attach_group" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x55f5319e, "pci_get_domain_bus_and_slot" },
	{ 0xcd780531, "amd_iommu_is_attach_deferred" },
	{ 0xf7b48cb4, "pci_dev_put" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9c640674, "iommu_detach_group" },
	{ 0x76fb08a7, "amd_iommu_unregister_ppr_notifier" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5f49e8ca, "__tracepoint_mmap_lock_start_locking" },
	{ 0x74a76053, "down_read" },
	{ 0x3c8ebd0, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x2d4352bb, "mtree_load" },
	{ 0xe7d22fc8, "__tracepoint_mmap_lock_released" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0xda19c116, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xad361f72, "__mmap_lock_do_trace_start_locking" },
	{ 0xa8381779, "handle_mm_fault" },
	{ 0xb8bc784a, "__mmap_lock_do_trace_released" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xafd5ff2c, "amd_iommu_v2_supported" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DA73441E9184059B6D200EA");
