#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smscore_translate_msg, "_gpl", "");
KSYMTAB_FUNC(smscore_set_board_id, "_gpl", "");
KSYMTAB_FUNC(smscore_get_board_id, "_gpl", "");
KSYMTAB_FUNC(smscore_registry_getmode, "_gpl", "");
KSYMTAB_FUNC(smscore_register_hotplug, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_hotplug, "_gpl", "");
KSYMTAB_FUNC(smscore_register_device, "_gpl", "");
KSYMTAB_FUNC(smscore_start_device, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_device, "_gpl", "");
KSYMTAB_FUNC(smscore_get_device_mode, "_gpl", "");
KSYMTAB_FUNC(smscore_onresponse, "_gpl", "");
KSYMTAB_FUNC(smscore_getbuffer, "_gpl", "");
KSYMTAB_FUNC(smscore_putbuffer, "_gpl", "");
KSYMTAB_FUNC(smscore_register_client, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_client, "_gpl", "");
KSYMTAB_FUNC(smsclient_sendrequest, "_gpl", "");
KSYMTAB_FUNC(sms_get_board, "_gpl", "");
KSYMTAB_FUNC(sms_board_event, "_gpl", "");
KSYMTAB_FUNC(sms_board_setup, "_gpl", "");
KSYMTAB_FUNC(sms_board_power, "_gpl", "");
KSYMTAB_FUNC(sms_board_led_feedback, "_gpl", "");
KSYMTAB_FUNC(sms_board_lna_control, "_gpl", "");
KSYMTAB_FUNC(sms_board_load_modules, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_tx_message, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_rx_message, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_message_header, "_gpl", "");

SYMBOL_CRC(smscore_translate_msg, 0x34bf0e61, "_gpl");
SYMBOL_CRC(smscore_set_board_id, 0x3577d291, "_gpl");
SYMBOL_CRC(smscore_get_board_id, 0x252bf821, "_gpl");
SYMBOL_CRC(smscore_registry_getmode, 0x21e36bf2, "_gpl");
SYMBOL_CRC(smscore_register_hotplug, 0x4c6c3e91, "_gpl");
SYMBOL_CRC(smscore_unregister_hotplug, 0x0ed69a8b, "_gpl");
SYMBOL_CRC(smscore_register_device, 0xc8972754, "_gpl");
SYMBOL_CRC(smscore_start_device, 0xe6a4b9e7, "_gpl");
SYMBOL_CRC(smscore_unregister_device, 0xf4a254e5, "_gpl");
SYMBOL_CRC(smscore_get_device_mode, 0xa344ec53, "_gpl");
SYMBOL_CRC(smscore_onresponse, 0x5b2d52fc, "_gpl");
SYMBOL_CRC(smscore_getbuffer, 0xdc01f181, "_gpl");
SYMBOL_CRC(smscore_putbuffer, 0xd120d221, "_gpl");
SYMBOL_CRC(smscore_register_client, 0xeee9a4e2, "_gpl");
SYMBOL_CRC(smscore_unregister_client, 0xbbdb5c42, "_gpl");
SYMBOL_CRC(smsclient_sendrequest, 0x99a81ab3, "_gpl");
SYMBOL_CRC(sms_get_board, 0x844539ae, "_gpl");
SYMBOL_CRC(sms_board_event, 0x556a7716, "_gpl");
SYMBOL_CRC(sms_board_setup, 0x820f043d, "_gpl");
SYMBOL_CRC(sms_board_power, 0x9e9a1a68, "_gpl");
SYMBOL_CRC(sms_board_led_feedback, 0xdadd83ed, "_gpl");
SYMBOL_CRC(sms_board_lna_control, 0x2999faec, "_gpl");
SYMBOL_CRC(sms_board_load_modules, 0x74ee9098, "_gpl");
SYMBOL_CRC(smsendian_handle_tx_message, 0x37d91069, "_gpl");
SYMBOL_CRC(smsendian_handle_rx_message, 0x45284ae9, "_gpl");
SYMBOL_CRC(smsendian_handle_message_header, 0x7c576277, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8ad01903, "ir_raw_event_handle" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xa129bef0, "ir_raw_event_store" },
	{ 0xfc089d94, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x277f8343, "rc_register_device" },
	{ 0x3570c339, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x86bee1f2, "rc_free_device" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37ab3f1f, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x980bf65b, "dma_free_attrs" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x59998e61, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaaf353cc, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "810CC66568B84D349C4997E");
