#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0xf4fae4e6, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0xbcb3b87f, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x16ed7849, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0xc4b10da6, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0xe8964a8f, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0xf4672e43, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0xc7aa634e, "");
SYMBOL_CRC(mptscsih_remove, 0x84e969ff, "");
SYMBOL_CRC(mptscsih_shutdown, 0xc6484cb3, "");
SYMBOL_CRC(mptscsih_suspend, 0xf22ef4c9, "");
SYMBOL_CRC(mptscsih_resume, 0x482c9a66, "");
SYMBOL_CRC(mptscsih_show_info, 0xc3ccaf96, "");
SYMBOL_CRC(mptscsih_info, 0x94725ccd, "");
SYMBOL_CRC(mptscsih_qcmd, 0x4f954cf5, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x742a8498, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x022fb673, "");
SYMBOL_CRC(mptscsih_abort, 0x261476f7, "");
SYMBOL_CRC(mptscsih_dev_reset, 0x5d0469d1, "");
SYMBOL_CRC(mptscsih_bus_reset, 0xc5b1adda, "");
SYMBOL_CRC(mptscsih_host_reset, 0xc9d074cc, "");
SYMBOL_CRC(mptscsih_bios_param, 0x5e19b0f6, "");
SYMBOL_CRC(mptscsih_io_done, 0x5bded50a, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x9552637d, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0xc171c35d, "");
SYMBOL_CRC(mptscsih_event_process, 0x2f4bc1df, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0xf6f27974, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x9396c661, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x122c3a7e, "_printk" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xbafe3ce6, "scsi_print_command" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x37a0cba, "kfree" },
	{ 0x4553b958, "scsi_host_put" },
	{ 0x85c40d18, "mpt_detach" },
	{ 0xe9f1f8c1, "scsi_block_requests" },
	{ 0xb0786908, "mpt_suspend" },
	{ 0x8b7003f5, "mpt_resume" },
	{ 0x5bbe1d79, "scsi_unblock_requests" },
	{ 0x50775828, "mpt_print_ioc_summary" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7114411, "seq_printf" },
	{ 0x91a9531, "scsi_dma_map" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x45e9cc61, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x2ebc453b, "mpt_put_msg_frame" },
	{ 0xeaefc691, "mpt_free_msg_frame" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0xb0da0af7, "mpt_GetIocState" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0x3fc7a4a4, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe718adf9, "mpt_send_handshake_request" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x89d02683, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x537d104a, "mpt_HardResetHandler" },
	{ 0xdfec03, "mpt_Soft_Hard_ResetHandler" },
	{ 0x4fd2adc6, "mpt_put_msg_frame_hi_pri" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x967e9220, "scsi_change_queue_depth" },
	{ 0x3471244e, "blk_queue_dma_alignment" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x17141256, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x26b14c37, "mpt_raid_phys_disk_pg1" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb88c6009, "scsi_dma_unmap" },
	{ 0xbf2ecc31, "scsi_done" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x18d0285, "sdev_prefix_printk" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x11904e95, "mpt_halt_firmware" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "mptbase");


MODULE_INFO(srcversion, "20BAD7D3CD0B8FCB0C5EFE5");
