#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0xb34bc373, "");
SYMBOL_CRC(mmc_request_done, 0x6978c2cd, "");
SYMBOL_CRC(mmc_start_request, 0xee52a2ed, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x652b9daf, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x4e88d588, "");
SYMBOL_CRC(mmc_cqe_request_done, 0xdd49f045, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x3c489317, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x52e0b841, "");
SYMBOL_CRC(mmc_is_req_done, 0x2bc42ead, "");
SYMBOL_CRC(mmc_wait_for_req, 0xca652fb8, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0xc8f3843f, "");
SYMBOL_CRC(mmc_set_data_timeout, 0xcf2a8ae8, "");
SYMBOL_CRC(__mmc_claim_host, 0x841ae547, "");
SYMBOL_CRC(mmc_release_host, 0x56efcd72, "");
SYMBOL_CRC(mmc_get_card, 0x4b78a66e, "");
SYMBOL_CRC(mmc_put_card, 0xd4ed2c56, "");
SYMBOL_CRC(mmc_detect_change, 0x98bc68b2, "");
SYMBOL_CRC(mmc_erase, 0x0730972e, "");
SYMBOL_CRC(mmc_can_erase, 0x87c12976, "");
SYMBOL_CRC(mmc_can_trim, 0xfc85556b, "");
SYMBOL_CRC(mmc_can_discard, 0x2640588a, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xe156c375, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x4d04e79a, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x82fd9c9f, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x7445bac8, "");
SYMBOL_CRC(mmc_set_blocklen, 0xc006a84c, "");
SYMBOL_CRC(mmc_hw_reset, 0x274ccca1, "");
SYMBOL_CRC(mmc_sw_reset, 0x16b644b8, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x5009be44, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x6e89ba6d, "");
SYMBOL_CRC(mmc_register_driver, 0xcd233c4b, "");
SYMBOL_CRC(mmc_unregister_driver, 0xee27fda4, "");
SYMBOL_CRC(mmc_retune_pause, 0xe8d73b76, "");
SYMBOL_CRC(mmc_retune_unpause, 0x219670cc, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xfbb251eb, "");
SYMBOL_CRC(mmc_retune_release, 0x9fe2a487, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x52123cb4, "");
SYMBOL_CRC(mmc_of_parse, 0xa0bfa61c, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0xcdedae61, "");
SYMBOL_CRC(mmc_alloc_host, 0x844b90c8, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0xf910099a, "");
SYMBOL_CRC(mmc_add_host, 0xf5337373, "");
SYMBOL_CRC(mmc_remove_host, 0x6e3a9524, "");
SYMBOL_CRC(mmc_free_host, 0xf7e03373, "");
SYMBOL_CRC(__mmc_send_status, 0x9a62b6fb, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x74d07d16, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x1b546884, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0xdc5ea2fb, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xee2f1e9b, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x90f2dddf, "_gpl");
SYMBOL_CRC(mmc_switch, 0xbcebe3cb, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0xa6238030, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x46792bda, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x83aa2f8f, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xf9ff1e0f, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0xf4548f59, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x0a17fff2, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0x4215de50, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0xed728550, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x620b8250, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x8deeb419, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xddc95074, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x3bc48532, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x56e75f6b, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xa365ecd9, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x287ca437, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xa287042f, "_gpl");
SYMBOL_CRC(sdio_readb, 0x3b4f9229, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x801dcfc1, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x3939c133, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x56db7cb8, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x0d10d8fb, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x6c62a6b8, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x89c67fd8, "_gpl");
SYMBOL_CRC(sdio_readw, 0x9fb34a4d, "_gpl");
SYMBOL_CRC(sdio_writew, 0x59ec4033, "_gpl");
SYMBOL_CRC(sdio_readl, 0x43831992, "_gpl");
SYMBOL_CRC(sdio_writel, 0x17a2f930, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xeaeefc2a, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x34cc0960, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0xa8bc6041, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xa128a3ce, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x527c3f10, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xfa8e0efd, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x229656c6, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xd50c372e, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x982e6d6e, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xf018a3ca, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x5516a90d, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x9bfe23a8, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xc8647aa6, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x279b655a, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x539eb6ca, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xe17a5a78, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x7797178b, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x0ab81eeb, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0xfefe845e, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0xaa099b88, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xc04f08f6, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x7b5e78a5, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0xabc6ccd6, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x344e04a7, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x2957afe7, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x4b14bea0, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x4a117bb3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x14fd915a, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x623ea1a6, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0xff0b90ac, "completion_done" },
	{ 0xe47483ac, "device_property_present" },
	{ 0x1f60679c, "wakeup_source_register" },
	{ 0xd9bc7e00, "is_acpi_device_node" },
	{ 0x390b89fd, "simple_attr_open" },
	{ 0x7398dd5a, "devm_request_threaded_irq" },
	{ 0xd0fa037b, "debugfs_attr_write" },
	{ 0x29c98794, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0xe38f0ff2, "led_trigger_register_simple" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x479332fe, "device_initialize" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0xe117b0f3, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0xe4d01551, "seq_lseek" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x5d4074d7, "gpiod_toggle_active_low" },
	{ 0x177ef618, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20ca526c, "bpf_trace_run2" },
	{ 0xcdb34ab1, "gpiod_get_value" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0xef2df0a8, "led_trigger_unregister_simple" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa80b181f, "get_device" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x8cb1f897, "sched_set_fifo_low" },
	{ 0xfe57327a, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdfc4bfb2, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x322ba7ae, "wake_up_process" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x41c6874a, "pm_generic_runtime_resume" },
	{ 0x6348b0bb, "pm_generic_resume" },
	{ 0x92a46581, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5c5a10db, "__pm_runtime_set_status" },
	{ 0x5045b87, "pm_wakeup_ws_event" },
	{ 0x761e9ca5, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x928b6896, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0x4a92f96f, "pm_runtime_enable" },
	{ 0xc9bf61d1, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2d145943, "_dev_info" },
	{ 0xe663cfba, "gpiod_set_debounce" },
	{ 0x780ea6ff, "dev_pm_domain_detach" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x6ef69651, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xa46edaec, "pm_generic_suspend" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaad78abc, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0x3c361681, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x44c47078, "debugfs_create_file_unsafe" },
	{ 0x16f3f815, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x3bd8e52, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9fa6c620, "wakeup_source_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9e6e3710, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9d4b68f5, "__devres_alloc_node" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x38a3d58e, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x52f4a611, "devm_gpiod_get_index" },
	{ 0x77d75fc2, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1a5d1090, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x499d9da7, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5cd20680, "regulator_count_voltages" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x390d8bc0, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x9ff254d5, "regulator_is_supported_voltage" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa7bbd2be, "kthread_create_on_node" },
	{ 0x636753a2, "devm_kasprintf" },
	{ 0x6de775b2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf2441552, "gpiod_cansleep" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x62818083, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xa79eb841, "gpiod_is_active_low" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0x506c51c3, "__pm_runtime_resume" },
	{ 0x529666d4, "debugfs_create_x32" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x50531de9, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0xb7114411, "seq_printf" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0x9df6e93d, "single_release" },
	{ 0x48655d3c, "regulator_disable" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x66f93311, "__pm_runtime_suspend" },
	{ 0xb7f3a215, "set_primary_fwnode" },
	{ 0x6feb9e5e, "led_trigger_event" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb2d43759, "single_open" },
	{ 0xf410688f, "gpiod_set_consumer_name" },
	{ 0xab91b1b9, "__pm_runtime_disable" },
	{ 0x15146e44, "debugfs_create_dir" },
	{ 0x23e10257, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3d970ba9, "driver_register" },
	{ 0xa9b2c447, "class_register" },
	{ 0x4ff9a210, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1e1d89fb, "__dev_fwnode" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x67a2b9a2, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CEB9CE7487B9834EB08E453");
