#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xa37fd713, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xcf3da7b3, "");
SYMBOL_CRC(team_options_register, 0x5dc62932, "");
SYMBOL_CRC(team_options_unregister, 0x8267f8e9, "");
SYMBOL_CRC(team_option_inst_set_change, 0x48091aac, "");
SYMBOL_CRC(team_options_change_check, 0x2f32a9d3, "");
SYMBOL_CRC(team_mode_register, 0x28ab3033, "");
SYMBOL_CRC(team_mode_unregister, 0x7e5f97d0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec183358, "nla_put" },
	{ 0x754d539c, "strlen" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa414f440, "skb_trim" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7e95ff9d, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8daf262, "__netpoll_free" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd6ad05cf, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf5d509b1, "__nlmsg_put" },
	{ 0xc6d5a9d2, "netdev_warn" },
	{ 0x728457ee, "__ethtool_get_link_ksettings" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0x39db6e13, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb8aa7717, "netdev_has_upper_dev" },
	{ 0x9085ba0c, "vlan_uses_dev" },
	{ 0x5d8834b1, "dev_uc_flush" },
	{ 0xd6484673, "dev_mc_flush" },
	{ 0x5e2d0c1d, "dev_open" },
	{ 0x27def9ad, "vlan_vids_add_by_dev" },
	{ 0x2cac091b, "netdev_rx_handler_register" },
	{ 0xc278a6ea, "netdev_master_upper_dev_link" },
	{ 0xa4748f14, "vlan_vids_del_by_dev" },
	{ 0x8d32b04e, "dev_close" },
	{ 0x5d744788, "dev_disable_lro" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2a26dbe1, "netdev_rx_handler_unregister" },
	{ 0xa1b8e7e2, "netdev_upper_dev_unlink" },
	{ 0xc04a029, "dev_set_promiscuity" },
	{ 0xc11af6ee, "dev_set_allmulti" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf48b49c9, "_raw_spin_lock_nested" },
	{ 0x7936d90f, "dev_uc_sync_multiple" },
	{ 0x90827af7, "dev_mc_sync_multiple" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x59951583, "netdev_change_features" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x9009a26b, "lockdep_register_key" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d89af0f, "lockdep_unregister_key" },
	{ 0x72d52a25, "ethtool_op_get_link" },
	{ 0xea5a113e, "passthru_features_check" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69acdf38, "memcpy" },
	{ 0x152770cd, "dev_set_mac_address" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x61665b73, "netlink_unicast" },
	{ 0xddc20dce, "dev_get_by_index" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xb818dd58, "netif_carrier_on" },
	{ 0x2c42eb2e, "netif_carrier_off" },
	{ 0xc758952c, "dev_uc_unsync" },
	{ 0x7e375456, "dev_mc_unsync" },
	{ 0x9739bf71, "dev_set_mtu" },
	{ 0x6b47e8fa, "netdev_err" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xc244d8b4, "dev_kfree_skb_any_reason" },
	{ 0x3c15664, "dev_addr_mod" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc4c0b720, "vlan_vid_del" },
	{ 0x69949b8, "vlan_vid_add" },
	{ 0xfb578fc5, "memset" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa88ce939, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x9bf18608, "__alloc_skb" },
	{ 0x3719d445, "genlmsg_put" },
	{ 0x2bb7a556, "kfree_skb_reason" },
	{ 0xf574077, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6c4c9a61, "ether_setup" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb20cac16, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd3f37ff9, "genl_register_family" },
	{ 0x6558e9e2, "rtnl_link_unregister" },
	{ 0xf72035b5, "genl_unregister_family" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8d4b91f2, "lockdep_rtnl_is_held" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x371a511f, "__dynamic_netdev_dbg" },
	{ 0x89459132, "__dev_queue_xmit" },
	{ 0xbfb8989d, "netpoll_send_skb" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x31018b34, "netlink_broadcast" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x18585e03, "skb_clone" },
	{ 0xe6a2a276, "consume_skb" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x813ae90a, "netdev_lower_state_changed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");
