#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ntb_transport_unregister_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_create_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_free_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_remove, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_up, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_down, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_query, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_qp_num, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_max_size, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_free_entry, "_gpl", "");

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0xe83b4532, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0x357ca0ea, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x6361c4d8, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67a2b9a2, "bus_register" },
	{ 0x9e6e3710, "debugfs_remove" },
	{ 0x8df78294, "__ntb_register_client" },
	{ 0x3c361681, "bus_unregister" },
	{ 0x15146e44, "debugfs_create_dir" },
	{ 0x3570c339, "dma_alloc_attrs" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x980bf65b, "dma_free_attrs" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x62818083, "debugfs_create_file" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xcde336a8, "ntb_unregister_client" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0x2d145943, "_dev_info" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xff935c65, "dmaengine_get_unmap_data" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9b68e6b9, "dma_map_page_attrs" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x2229c8b1, "dmaengine_unmap_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x50cb271a, "device_unregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x12dbe546, "kmalloc_node_trace" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0xdd835c1d, "device_register" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x58fe0c13, "_raw_spin_lock_irqsave" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x362c5159, "_raw_spin_unlock_irqrestore" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf7ed2bef, "dma_sync_wait" },
	{ 0x88124e74, "dma_unmap_resource" },
	{ 0xeb43c4d5, "dma_release_channel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x2b982b2e, "devm_free_irq" },
	{ 0x15d29196, "ntb_clear_ctx" },
	{ 0xedc03953, "iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9f8a5f3c, "__dma_request_channel" },
	{ 0x2ee88299, "dma_map_resource" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x85a6101, "ntb_default_peer_port_count" },
	{ 0xf1932eb8, "ntb_set_ctx" },
	{ 0x2e2a3bc7, "ntb_link_event" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50f49991, "simple_open" },
	{ 0x50531de9, "param_ops_bool" },
	{ 0x2421fbc9, "param_ops_uint" },
	{ 0xe490e272, "param_ops_byte" },
	{ 0xd52583db, "param_ops_ulong" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98334bc4, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xa80b181f, "get_device" },
	{ 0x3d970ba9, "driver_register" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x38a3d58e, "driver_unregister" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x122c3a7e, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "C644BE54429255E69E233C0");
