#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spi_dv_device, "", "");
KSYMTAB_FUNC(spi_schedule_dv_device, "", "");
KSYMTAB_FUNC(spi_display_xfer_agreement, "", "");
KSYMTAB_FUNC(spi_populate_width_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_sync_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_ppr_msg, "_gpl", "");
KSYMTAB_FUNC(spi_populate_tag_msg, "_gpl", "");
KSYMTAB_FUNC(spi_print_msg, "", "");
KSYMTAB_FUNC(spi_attach_transport, "", "");
KSYMTAB_FUNC(spi_release_transport, "", "");

SYMBOL_CRC(spi_dv_device, 0xeabb7c5e, "");
SYMBOL_CRC(spi_schedule_dv_device, 0x9fb7befb, "");
SYMBOL_CRC(spi_display_xfer_agreement, 0xf6195bd7, "");
SYMBOL_CRC(spi_populate_width_msg, 0xcffa2aff, "_gpl");
SYMBOL_CRC(spi_populate_sync_msg, 0xa0c71dac, "_gpl");
SYMBOL_CRC(spi_populate_ppr_msg, 0x0ef06974, "_gpl");
SYMBOL_CRC(spi_populate_tag_msg, 0x4d998b5c, "_gpl");
SYMBOL_CRC(spi_print_msg, 0x3686ea09, "");
SYMBOL_CRC(spi_attach_transport, 0x54c20c3b, "");
SYMBOL_CRC(spi_release_transport, 0xb2fa97b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1030d90b, "scsi_autopm_get_device" },
	{ 0xdd147ed8, "scsi_device_get" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x50b11b3, "scsi_device_quiesce" },
	{ 0x620bcd42, "scsi_target_quiesce" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x2b84e3ad, "scsi_target_resume" },
	{ 0x37a0cba, "kfree" },
	{ 0x47bd9971, "scsi_device_put" },
	{ 0x158d6b18, "scsi_autopm_put_device" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xa930b4d5, "attribute_container_register" },
	{ 0xbe55bdfc, "attribute_container_unregister" },
	{ 0x758240ef, "sysfs_chmod_file" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x8551d4b9, "scsi_is_target_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb1d2ab82, "_dev_printk" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9aad1c7c, "scsi_execute_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x227ad2ee, "scsi_device_set_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x18d0285, "sdev_prefix_printk" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbec02a5, "scsi_is_host_device" },
	{ 0x231d43f8, "device_for_each_child" },
	{ 0x4c9d7957, "scsi_is_sdev_device" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc4230fc7, "sysfs_update_group" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x204c5067, "scsi_dev_info_add_list" },
	{ 0x2733eaf7, "scsi_dev_info_list_add_keyed" },
	{ 0x3e693d66, "transport_class_register" },
	{ 0x3f663c8c, "anon_transport_class_register" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x28efc729, "scsi_get_device_flags_keyed" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2d145943, "_dev_info" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x75b76f71, "transport_class_unregister" },
	{ 0x80c816a5, "anon_transport_class_unregister" },
	{ 0x97bdfa60, "scsi_dev_info_remove_list" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0320EA18D0FE8B79D171F06");
