#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x7aab4f3b, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x0138f332, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xaeeaf4bf, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0xdef95a8b, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x6fda4bf9, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x8e175137, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x6fb5e7a2, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0xec356e07, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x981209e6, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x51fb938d, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x1a52e241, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x9d6ed6c4, "");
SYMBOL_CRC(iscsit_release_cmd, 0xdca12d61, "");
SYMBOL_CRC(iscsit_free_cmd, 0x4e583e1f, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xf3479c3a, "");
SYMBOL_CRC(iscsit_aborted_task, 0x1cbb1eb4, "");
SYMBOL_CRC(iscsit_add_reject, 0xf2430ce9, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x59bec2b9, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x179bd257, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x2556e631, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x24631014, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xe96f2290, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xc33366f7, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x1a60aa57, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xcd54dc9a, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x51c5c009, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x62aa9cf5, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x4b30ee38, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x4facd383, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x5b61e664, "");
SYMBOL_CRC(iscsit_handle_snack, 0x14c98947, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x278408b5, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x92206982, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x575726a1, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xdb7bac2f, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x9d61ed68, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x85c78b8e, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x0038fb46, "");
SYMBOL_CRC(iscsit_build_reject, 0x3c373322, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x2800fef6, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xa78c7768, "");
SYMBOL_CRC(iscsit_response_queue, 0xadfc86bb, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x4571c5e9, "");
SYMBOL_CRC(iscsit_register_transport, 0x76381e3b, "");
SYMBOL_CRC(iscsit_unregister_transport, 0xfb9a9968, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x842dec1e, "crypto_alloc_ahash" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x19649455, "target_alloc_cmd_counter" },
	{ 0x82757421, "core_alua_check_nonop_delay" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x61bba7c4, "ida_alloc_range" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1e6dcdef, "target_wait_for_cmds" },
	{ 0x27e2f202, "transport_generic_new_cmd" },
	{ 0x5954d56f, "target_free_cmd_counter" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa1e0b3f9, "complete" },
	{ 0x6e09bc7e, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaa5e488c, "mutex_lock_interruptible_nested" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x53df7429, "finish_wait" },
	{ 0xd9227e6, "_raw_write_lock_bh" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0xff150b7c, "kernel_bind" },
	{ 0x66cb57fb, "up" },
	{ 0x7fef38da, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x8683ae58, "_raw_read_unlock_bh" },
	{ 0x8dde51c9, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x2df9c270, "_raw_write_unlock_bh" },
	{ 0xc2872e5d, "__tracepoint_sk_data_ready" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc24afb5, "timer_delete_sync" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf87a35c6, "kernel_accept" },
	{ 0x148653, "vsnprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x22b070ae, "kmem_cache_create" },
	{ 0x63ddcc8c, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfb6253ca, "target_stop_cmd_counter" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0x63b31b73, "transport_generic_handle_tmr" },
	{ 0x9042a08b, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x322ba7ae, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x8a73e20a, "crypto_destroy_tfm" },
	{ 0x26bad4d3, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb039e5a7, "transport_alloc_session_tags" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe5037774, "transport_alloc_session" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x7c13346a, "sbitmap_prepare_to_wait" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0xd2141787, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xff5af1f9, "target_unregister_template" },
	{ 0x92a6680, "transport_send_check_condition_and_sense" },
	{ 0xaad9de05, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x259ec816, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa88ce939, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaef08d8b, "flush_signals" },
	{ 0x5a898a4a, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe260216c, "init_net" },
	{ 0x299d0adb, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7e61d408, "radix_tree_preloads" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc5b199aa, "mod_timer" },
	{ 0xf5e75c8, "__SCK__tp_func_sk_data_ready" },
	{ 0x16c586b8, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4faa0372, "kmem_cache_free" },
	{ 0xa3f778ae, "set_cpus_allowed_ptr" },
	{ 0x4eb12bf7, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x53bc24c9, "sbitmap_queue_clear" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4e16a253, "iov_iter_kvec" },
	{ 0x2b3aca87, "ida_free" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x2d42d6ec, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x31fc75e0, "sock_sendmsg" },
	{ 0xa7c2877b, "crypto_shash_update" },
	{ 0x823e41aa, "core_tpg_set_initiator_node_tag" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1a5d1090, "kthread_stop" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb8119585, "target_cmd_parse_cdb" },
	{ 0xe1d0521d, "sock_set_reuseaddr" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x50d4dfd0, "cancel_delayed_work" },
	{ 0xf089155b, "crypto_ahash_finup" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x366bb881, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x2be79be5, "crypto_ahash_digest" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xd10ed33b, "crypto_ahash_final" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x48bac20f, "__target_init_cmd" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa7bbd2be, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4045e417, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4cfe8f44, "core_tpg_check_initiator_node_acl" },
	{ 0x781cc404, "target_cmd_init_cdb" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x4c724beb, "kernel_listen" },
	{ 0xc147046e, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x8ad360ee, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x85ea3ce2, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0xdc3697d, "crypto_shash_finup" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x5c184f4f, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x58a4ebf2, "transport_handle_cdb_direct" },
	{ 0x7ee2332a, "target_get_sess_cmd" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x766f6e34, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1877263b, "sock_recvmsg" },
	{ 0xa9679ff1, "core_tpg_deregister" },
	{ 0xfa62002c, "down_interruptible" },
	{ 0x5d5ca475, "__transport_register_session" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x1b71cc6, "target_show_dynamic_sessions" },
	{ 0xca9265de, "_raw_spin_lock_bh" },
	{ 0x602c04e0, "sock_release" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x70e703fd, "target_register_template" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xda39e3ba, "tcp_sock_set_nodelay" },
	{ 0x3cd46ae8, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0xa8bbd34b, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0xef047007, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0xf67b7877, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xe2b97e19, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0x92a54777, "crypto_alloc_shash" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x90eaaa47, "__sbitmap_queue_get" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb99668cc, "kmem_cache_destroy" },
	{ 0x91f177d, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "2273D248A8EA38B71AC3D9A");
