#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0a84a57, "ceph_con_keepalive" },
	{ 0x2903be0c, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x964615bb, "folio_invalidate" },
	{ 0x2cd5105e, "ceph_auth_get_authorizer" },
	{ 0x59fa5c4d, "__page_file_index" },
	{ 0x9c6d4520, "generic_copy_file_range" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe457bb7d, "filemap_fdatawrite" },
	{ 0x8a379bd1, "generic_fillattr" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x4bc94787, "vfs_fsync_range" },
	{ 0x444ff244, "setattr_prepare" },
	{ 0xe0880173, "ceph_print_client_options" },
	{  0xedbfc, "simple_attr_write" },
	{ 0xaa48a1a9, "file_check_and_advance_wb_err" },
	{ 0x3a5cc793, "ceph_msg_get" },
	{ 0xd5620df9, "filemap_get_folios_tag" },
	{ 0xf38c0744, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xb1b5d0fa, "d_instantiate" },
	{ 0x549fac40, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x390b89fd, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3806b487, "clear_inode" },
	{ 0xf4d24b06, "ceph_create_client" },
	{ 0xab7b1a2, "__fscache_acquire_volume" },
	{ 0xe7ebe500, "fscache_dirty_folio" },
	{ 0x11b9e3b8, "vfs_inode_has_locks" },
	{ 0xec3d2e1b, "trace_hardirqs_off" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x11b3de21, "wait_for_completion_timeout" },
	{ 0x6e831960, "osd_req_op_extent_osd_data" },
	{ 0x1e83e856, "__percpu_counter_init_many" },
	{ 0x587fef11, "discard_new_inode" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x527fe3bc, "fs_param_is_string" },
	{ 0x8aac69f3, "__folio_batch_release" },
	{ 0x33380688, "folio_unlock" },
	{ 0xae09bd43, "__fscache_resize_cookie" },
	{ 0xf293b1f4, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x45a6a614, "fscrypt_parse_test_dummy_encryption" },
	{ 0xbcf1c28c, "inode_insert5" },
	{ 0x96b960c8, "ceph_monc_want_map" },
	{ 0xcf9caca1, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf73c178d, "__fscache_begin_read_operation" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0xe46e280, "dump_page" },
	{ 0x21d02aa3, "ceph_con_open" },
	{ 0xc4513965, "forget_all_cached_acls" },
	{ 0x88a7eafb, "init_special_inode" },
	{ 0xa294ad90, "unregister_filesystem" },
	{ 0x5cb9d161, "__fscrypt_prepare_setattr" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5a20d9a3, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x30113e4, "task_active_pid_ns" },
	{ 0xe208cd6d, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x83d0f9a0, "ceph_osdc_put_request" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2fda6e4d, "inode_set_flags" },
	{ 0x53df7429, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0xbfb6c6ba, "iov_iter_advance" },
	{ 0x7d44da5a, "fscrypt_ioctl_get_key_status" },
	{ 0x35b24bf7, "d_make_root" },
	{ 0x429671da, "d_same_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd8d0eda1, "fscrypt_decrypt_block_inplace" },
	{ 0xa866cb0a, "read_cache_folio" },
	{ 0xa7f68220, "invalidate_mapping_pages" },
	{ 0x2f1dc1e3, "sync_filesystem" },
	{ 0x22acda4a, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xce3cb33f, "ceph_parse_param" },
	{ 0xe53598ec, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x6b7c069a, "percpu_counter_destroy_many" },
	{ 0x3aa64d8a, "sget_fc" },
	{ 0xb01e94d5, "d_splice_alias" },
	{ 0x941d6dc6, "generic_error_remove_page" },
	{ 0xc45114b, "iov_iter_get_pages2" },
	{ 0x7651ed21, "current_time" },
	{ 0x8ffb73f6, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb2fccb72, "ihold" },
	{ 0x177f099b, "d_find_any_alias" },
	{ 0xe4b8879, "inode_dio_wait" },
	{ 0x1453839a, "generic_permission" },
	{ 0x76816ea5, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x2b7dc6aa, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xbb736b5d, "posix_lock_file" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x63d61bb0, "finish_open" },
	{ 0xfb538a9f, "iput" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0xe4d01551, "seq_lseek" },
	{ 0xf394d859, "fs_param_is_enum" },
	{ 0x8480305b, "fs_param_is_s32" },
	{ 0x79ed1f53, "wrap_directory_iterator" },
	{ 0xc2dbb623, "add_wait_queue" },
	{ 0x5b1c36af, "logfc" },
	{ 0xcfb5027a, "__put_devmap_managed_page_refs" },
	{ 0x5601e9a7, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x9cd522bc, "fscrypt_show_test_dummy_encryption" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9acb4367, "iter_file_splice_write" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x283d380c, "do_splice_direct" },
	{ 0xedba7c04, "d_lookup" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0x103b0176, "__fscache_relinquish_cookie" },
	{ 0x3cea8047, "ceph_msg_new" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa96f40c6, "register_filesystem" },
	{ 0x22b070ae, "kmem_cache_create" },
	{ 0x3b99f12e, "ceph_auth_invalidate_authorizer" },
	{ 0x8e0c3d1a, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x59d8b7a1, "fscrypt_ioctl_get_policy_ex" },
	{ 0xcf1b3c83, "ceph_monc_got_map" },
	{ 0xa771157d, "osd_req_op_extent_dup_last" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xd8a00066, "mempool_free" },
	{ 0x2c41b000, "down_read_trylock" },
	{ 0x545a9701, "ceph_osdc_alloc_messages" },
	{ 0xa0989d34, "clear_page_dirty_for_io" },
	{ 0xc6cb2c87, "ceph_msg_data_add_pagelist" },
	{ 0xae95baf, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x6dbd6589, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0x8046763c, "shrink_dcache_parent" },
	{ 0xb80b6d35, "__put_cred" },
	{ 0x6c880c50, "d_prune_aliases" },
	{ 0x8c8a4980, "ceph_reset_client_addr" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x6a713088, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xa1eb6f87, "fs_param_is_u32" },
	{ 0x7915331c, "inode_newsize_ok" },
	{ 0x899d0c0d, "d_drop" },
	{ 0xa26ed210, "flush_delayed_work" },
	{ 0xa13e6d44, "ceph_msg_new2" },
	{ 0x48251d57, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb707b887, "mempool_create" },
	{ 0x3836f752, "ceph_release_page_vector" },
	{ 0x819862c, "posix_acl_from_xattr" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xef2f3f04, "filemap_alloc_folio" },
	{ 0x683305d7, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1d3c1af3, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0x4aa77a8b, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0xcd15bd05, "ceph_auth_verify_authorizer_reply" },
	{ 0xe0da0a27, "make_kuid" },
	{ 0xbbdac2ff, "truncate_inode_pages_final" },
	{ 0x36a10d11, "d_alloc" },
	{ 0x38e5c23c, "__filemap_set_wb_err" },
	{ 0xc982fd4d, "fscrypt_file_open" },
	{ 0x4aad9237, "generic_perform_write" },
	{ 0xf10f8b50, "mempool_alloc" },
	{ 0xf41742ec, "simple_nosetlease" },
	{ 0x810a136d, "__free_pages" },
	{ 0xaad9de05, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x81fd674e, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x32b54974, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x76491185, "ceph_osdc_wait_request" },
	{ 0xbedfbd0a, "inode_init_once" },
	{ 0x5923684f, "folio_wait_private_2" },
	{ 0x67d7f056, "file_write_and_wait_range" },
	{ 0xf8edb0ab, "ceph_osdc_new_request" },
	{ 0xbaf71656, "compat_ptr_ioctl" },
	{ 0x861a7a70, "fscrypt_dummy_policies_equal" },
	{ 0x8095011c, "copy_splice_read" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0xd6a5d2d3, "__fscache_relinquish_volume" },
	{ 0xc2a625b6, "ilookup5" },
	{ 0x3e7fe59b, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x17c1a3ae, "__task_pid_nr_ns" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xe987218d, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdc58c4d6, "posix_acl_create" },
	{ 0xd56d481c, "release_pages" },
	{ 0xd21cccf3, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x935d0889, "fscrypt_ioctl_get_nonce" },
	{ 0x606d8142, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6ff88215, "generic_file_read_iter" },
	{ 0x53858769, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9c68409b, "set_cached_acl" },
	{ 0x3bd8e52, "simple_attr_release" },
	{ 0x25a79a32, "ceph_auth_handle_svc_reply_more" },
	{ 0xcccb1e6a, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xa8a3ef36, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2424449d, "init_uts_ns" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x8500b26e, "ceph_pg_pool_flags" },
	{ 0x389cd33c, "wait_on_page_writeback" },
	{ 0xc52137ab, "fs_reclaim_release" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x98c5219e, "__fscrypt_prepare_rename" },
	{ 0xb6b2b872, "fscrypt_encrypt_block_inplace" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb58c2446, "file_update_time" },
	{ 0xe30a34b3, "fscrypt_ioctl_set_policy" },
	{ 0x4392d64e, "set_nlink" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x4faa0372, "kmem_cache_free" },
	{ 0x9e6e3710, "debugfs_remove" },
	{ 0x16b4dbe9, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0x5d91fbce, "ceph_auth_add_authorizer_challenge" },
	{ 0x5830f9f2, "d_move" },
	{ 0x839f501f, "seq_putc" },
	{ 0x667b2def, "from_kgid" },
	{ 0xa0494999, "ceph_con_send" },
	{ 0x9ae2bafc, "mutex_is_locked" },
	{ 0x6b24fb95, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1b0516fb, "__fscrypt_encrypt_symlink" },
	{ 0x5c276d76, "ceph_osdc_abort_requests" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffc4023e, "ceph_zero_page_vector_range" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x10356141, "param_set_bool" },
	{ 0x4e16a253, "iov_iter_kvec" },
	{ 0x1a623c34, "wait_for_completion_interruptible" },
	{ 0xd0546561, "file_remove_privs" },
	{ 0x84109abf, "__fscrypt_prepare_link" },
	{ 0x5f46f963, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf9b36bb, "ceph_compare_options" },
	{ 0xc41e7761, "d_obtain_alias" },
	{ 0x7959c08f, "file_modified" },
	{ 0x928831b4, "posix_acl_chmod" },
	{ 0xdbc44093, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xa810359a, "ceph_parse_mon_ips" },
	{ 0x4b2484c4, "ceph_client_addr" },
	{ 0xfeacee4d, "_raw_spin_trylock" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x79d3fe7e, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x6b05e615, "fscrypt_put_encryption_info" },
	{ 0xea9df3ec, "wait_for_completion_killable" },
	{ 0xe163a684, "fs_reclaim_acquire" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0xf5a4de0, "fscrypt_fname_encrypted_size" },
	{ 0xd385ff71, "finish_no_open" },
	{ 0xafc8f972, "d_obtain_root" },
	{ 0xd4d506f4, "fscrypt_d_revalidate" },
	{ 0xd0b0be1a, "osd_req_op_extent_init" },
	{ 0xd9bf6f61, "ceph_put_page_vector" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xea08c9ae, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3ebec075, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe4f0c92e, "osd_req_op_init" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0xc2f29267, "ceph_osdc_update_epoch_barrier" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x179fe5e7, "osd_req_op_extent_osd_iter" },
	{ 0x366bb881, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe5a5244b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbca3f13a, "_atomic_dec_and_lock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0xf36f2136, "ceph_object_locator_to_pg" },
	{ 0x321d6633, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x2d2f0a7d, "__ceph_auth_get_authorizer" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0x38be41b5, "d_delete" },
	{ 0xbb0ab47b, "debug_locks" },
	{ 0x174cae25, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x83dfe6c, "simple_attr_read" },
	{ 0x97c10b7f, "end_page_writeback" },
	{ 0x57afaf7d, "fscrypt_fname_encrypt" },
	{ 0x90cc0ac4, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x74a76053, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5902a539, "osd_req_op_extent_osd_data_pages" },
	{ 0x30f04f2a, "__fscache_write_to_cache" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x4a7e0597, "iov_iter_get_pages_alloc2" },
	{ 0x5142c544, "ceph_osdc_sync" },
	{ 0x7afa0de6, "set_page_dirty" },
	{ 0x31756d5d, "copy_page_from_iter" },
	{ 0xde779b7b, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa0aa0e96, "xa_erase" },
	{ 0xcebb1eb7, "ceph_destroy_client" },
	{ 0xd697e69a, "trace_hardirqs_on" },
	{ 0x6de775b2, "seq_read" },
	{ 0xde134f58, "fscrypt_free_bounce_page" },
	{ 0xf8b0bee, "redirty_page_for_writepage" },
	{ 0xdf5d07ca, "warn_bogus_irq_restore" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xda02be01, "noop_direct_IO" },
	{ 0xf7e84dbc, "__fscrypt_prepare_readdir" },
	{ 0x62818083, "debugfs_create_file" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x1967f368, "igrab" },
	{ 0x950ae40a, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc789df1b, "__ceph_open_session" },
	{ 0x10ceb573, "set_page_writeback" },
	{ 0x16af29f, "d_add" },
	{ 0xce28b16b, "rename_lock" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x32764136, "cancel_delayed_work_sync" },
	{ 0x4afd4e33, "percpu_counter_add_batch" },
	{ 0x9ee647a5, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x69640770, "__percpu_counter_sum" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe815d3c4, "init_user_ns" },
	{ 0x19b95610, "xa_destroy" },
	{ 0x3ba723bd, "wait_for_completion_killable_timeout" },
	{ 0x64e0a9ce, "xa_find" },
	{ 0xe2b396ef, "d_find_alias" },
	{ 0x54195632, "fscrypt_ioctl_add_key" },
	{ 0xa1aca857, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0xa6bfb625, "fscrypt_fname_disk_to_usr" },
	{ 0xe2138e53, "inode_set_ctime_current" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x64556a27, "bdi_dev_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x993708c3, "__folio_put" },
	{ 0xc8dcdfd7, "mempool_destroy" },
	{ 0x2fbcce4c, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd182a3cb, "fscrypt_ioctl_get_policy" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x9e304ec0, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb7114411, "seq_printf" },
	{ 0x2488d38a, "ceph_monc_do_statfs" },
	{ 0xfbcafd3c, "dput" },
	{ 0x7d81dce6, "ceph_monc_validate_auth" },
	{ 0x2c11496e, "iov_iter_zero" },
	{ 0x3720d9ef, "lockref_get" },
	{ 0xd3b8f3b7, "delayed_work_timer_fn" },
	{ 0xa9c0dc08, "generic_delete_inode" },
	{ 0xb3d8052a, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4650758b, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb46a366f, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0xfd6346c2, "set_page_dirty_lock" },
	{ 0x88ad65a8, "tag_pages_for_writeback" },
	{ 0x64fc12b4, "__fscache_invalidate" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8637895d, "posix_acl_update_mode" },
	{ 0x6a0ce270, "ceph_auth_handle_bad_authorizer" },
	{ 0xfdb495df, "ceph_monc_renew_subs" },
	{ 0xb0d67708, "truncate_inode_pages_range" },
	{ 0xaaedc21a, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x4f7c5181, "__folio_lock" },
	{ 0xae3f8f9e, "pagecache_get_page" },
	{ 0x8d419dab, "ceph_msg_put" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb6cb27ce, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4688d9e, "remove_wait_queue" },
	{ 0xbc53344a, "seq_puts" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0xa36bac5b, "__fscache_use_cookie" },
	{ 0x8b1227f0, "rcuwait_wake_up" },
	{ 0x9df6e93d, "single_release" },
	{ 0xa06308c3, "fscrypt_prepare_symlink" },
	{ 0x1fd54703, "__might_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x6b683995, "rcu_read_lock_any_held" },
	{ 0x5eecb9ac, "iov_iter_xarray" },
	{ 0xc209c034, "__fs_parse" },
	{ 0xc59b330, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x63b7dc7e, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0x5173a9a9, "dget_parent" },
	{ 0x7605ea92, "kill_anon_super" },
	{ 0xf930b65, "xa_find_after" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x4f5888dd, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x1ccbbabc, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x915f81b5, "osd_req_op_raw_data_in_pages" },
	{ 0x28c0801f, "fscrypt_prepare_new_inode" },
	{ 0xe5fd1f5d, "netfs_subreq_terminated" },
	{ 0x2a634f4c, "ceph_con_init" },
	{ 0x7446a287, "generic_write_checks" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7ad84e94, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x4002046a, "fscrypt_get_symlink" },
	{ 0xb2d43759, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x28b3b447, "kmem_cache_alloc_lru" },
	{ 0x2850cca2, "filemap_fault" },
	{ 0xc7653cf9, "d_invalidate" },
	{ 0x15146e44, "debugfs_create_dir" },
	{ 0xd9cc0a03, "__mark_inode_dirty" },
	{ 0xce8f3490, "generic_file_llseek" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x60734ebc, "lockref_get_not_dead" },
	{ 0xb8e1f9ea, "up_read" },
	{ 0x10bd7017, "lock_is_held_type" },
	{ 0x987b5ffc, "ceph_osdc_clear_abort_err" },
	{ 0xac3beda9, "iov_iter_npages" },
	{ 0xd6ce289f, "drop_nlink" },
	{ 0x664bb06e, "fscrypt_free_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcc5b1020, "fscrypt_has_permitted_context" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xf4eaa48f, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0xb99668cc, "kmem_cache_destroy" },
	{ 0xb0e47655, "__fscache_acquire_cookie" },
	{ 0xb80ebbd1, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x68a7961a, "forget_cached_acl" },
	{ 0xcae633b8, "osd_req_op_xattr_init" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x1c346b26, "fscrypt_context_for_new_inode" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "libceph,fscache,netfs");


MODULE_INFO(srcversion, "94A1BEB0E5C0FBE3B34C168");
