#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xf92248e2, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xbb1f7a56, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x690a720f, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x117af21a, "");
SYMBOL_CRC(gss_mech_put, 0x949944fe, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xf34ed6ce, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x8bd729d6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36ad913a, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xae0bd7af, "lockdep_rcu_suspicious" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0xfe2122e6, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x347f2049, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x28c09dd2, "bpf_trace_run4" },
	{ 0xec16119d, "xdr_stream_decode_opaque_auth" },
	{ 0x2421fbc9, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xff9e4a1a, "xdr_write_pages" },
	{ 0x9bf7ffdc, "rpc_shutdown_client" },
	{ 0x154903c9, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x32bac233, "xdr_inline_decode" },
	{ 0xe46e280, "dump_page" },
	{ 0x31464f6b, "cache_create_net" },
	{ 0x7b96b27e, "rpcauth_destroy_credcache" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xdea97820, "bpf_trace_run6" },
	{ 0xa4e69c08, "rpc_net_ns" },
	{ 0xfb6e143f, "read_bytes_from_xdr_buf" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x1570da64, "rpc_wake_up" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd5f28b52, "sunrpc_cache_lookup_rcu" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xcfb5027a, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xf60e9bc8, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x20ca526c, "bpf_trace_run2" },
	{ 0xec874fb, "prepare_to_wait_event" },
	{ 0xbd568158, "xdr_truncate_decode" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc68b3caf, "rpcauth_unregister" },
	{ 0x85ce233b, "__wake_up" },
	{ 0x7b13852, "__xdr_commit_encode" },
	{ 0xbe19fb8b, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6a62bee6, "_raw_spin_lock" },
	{ 0xcb681d54, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb80b6d35, "__put_cred" },
	{ 0xdf33f78e, "register_pernet_subsys" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0xe3c0fe2b, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x15f0a23b, "rpc_release_client" },
	{ 0x72c316a3, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcb2e9603, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfd0dda25, "svc_auth_register" },
	{ 0x8256324b, "xdr_stream_encode_opaque_auth" },
	{ 0xe0da0a27, "make_kuid" },
	{ 0xa683782b, "rpc_destroy_pipe_data" },
	{ 0x810a136d, "__free_pages" },
	{ 0x6e0ffc0a, "rpc_pipe_generic_upcall" },
	{ 0xa88ce939, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x4f8edc13, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1804f508, "sunrpc_cache_unhash" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xee31bac8, "rpcauth_lookup_credcache" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x2768a7a4, "rpcauth_init_credcache" },
	{ 0xb9996e45, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xbc05ff2e, "xdr_init_decode" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x4edfcfc9, "rpc_call_null" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x429d9fc1, "rpc_sleep_on_timeout" },
	{ 0x19f50a64, "rpc_create" },
	{ 0x892da873, "debug_lockdep_rcu_enabled" },
	{ 0x1b5fc3d5, "bpf_trace_run1" },
	{ 0xa2047c53, "rpc_call_sync" },
	{ 0xea08c9ae, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6d26ff53, "unregister_pernet_subsys" },
	{ 0x87b21d7f, "rpc_queue_upcall" },
	{ 0xce4c14b2, "xdr_encode_word" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x544ed968, "lock_acquire" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x178e3c98, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfa20cf36, "svcauth_unix_set_client" },
	{ 0x4b4ee9a2, "xdr_buf_subsegment" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xbca3f13a, "_atomic_dec_and_lock" },
	{ 0x95bfc4d5, "lock_release" },
	{ 0x321d6633, "make_kgid" },
	{ 0x7b379f4b, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xaf9f25ba, "xdr_reserve_space" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd42310e, "nonseekable_open" },
	{ 0xe320a9d2, "rcu_read_lock_held" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x342f75c3, "bpf_trace_run3" },
	{ 0x2fd243d0, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3495ff8e, "rpc_mkpipe_dentry" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0x54f44ae2, "rpc_mkpipe_data" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfbbe0e78, "gssd_running" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5b3f0f6d, "cache_register_net" },
	{ 0xe815d3c4, "init_user_ns" },
	{ 0xf09eba7f, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4934367a, "xdr_inline_pages" },
	{ 0x993708c3, "__folio_put" },
	{ 0x8ed42976, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x352c21e6, "rpc_init_wait_queue" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xac00edb2, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4ccc2106, "rpc_unlink" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x18badef5, "rpcauth_wrap_req_encode" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x13f3b0e0, "from_kuid_munged" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x8addb8b7, "rpcauth_init_cred" },
	{ 0x62c78ed1, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7243bb55, "cache_destroy_net" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x16158062, "rpc_init_pipe_dir_object" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x14f40d59, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe197adc1, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x1cb940d9, "sunrpc_cache_update" },
	{ 0x8448d9ff, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x71526ea4, "rpc_destroy_wait_queue" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62e988df, "auth_domain_put" },
	{ 0x9d13c5eb, "rpcauth_unwrap_resp_decode" },
	{ 0xd3bac36e, "rcu_lock_map" },
	{ 0xd2085e27, "rpcauth_register" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "B44B74C6A2A79896599B154");
