#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x607e3d0a, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x6ea39e50, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x2af1c313, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0xa69030ff, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x0a92ba64, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x3c27bca6, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x198f4548, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0xd4b41b92, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xfb1c7e24, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xd6205e3b, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xbd31ab5b, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x78783dd5, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x03c9e061, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0xd659ff21, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x9f07dc6a, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xc0e98801, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xd8566036, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x6c1ab5c7, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x04090c71, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x9bdb138f, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x05f373e4, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x287535ba, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x277f2ff0, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xe3a5e2f1, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x59c0ac2c, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xac4bc76f, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x36b2050c, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x168ae869, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0xdf69448c, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x5eef3d73, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x478f3d5e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x8f1c13bb, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xa42f4ddb, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x3eaef902, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x3d925469, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x5e905abc, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x0262d3a2, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0xc3400490, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xc649655a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x76837e70, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x95968057, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x7c5147bc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xc68ffdda, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x87f276a7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xc8f9c72c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x15e3d81a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xceb25147, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xd30875c2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x1f41ca9b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x5dc4be08, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xf8082371, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x6f23bc7a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x9c8c6b93, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x46efb3ae, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x688feef0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0xa2d19b8c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x39bd2383, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x514b2a9f, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x74b95eaf, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xf86a6db1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x954d0045, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x8723f3a7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x9f0c2ad7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xda4e23a9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x66668114, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xc33ae900, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x1123fdb4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0xe3b7a9a0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xf4885944, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x79cd9c5e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x302612a1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x8e00129c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x80f062ee, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xe4b0415b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x4ba82cd3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xb1a7f7f7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x59914479, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x3cfc581b, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xd2b4913a, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xa67f9b74, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x2475a0f9, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x2870e7ea, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xcb31dc12, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x7b3d402a, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x854fc9fe, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x0fa61cc3, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x5d027332, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x60cd407d, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x83927cd1, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x76486986, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x1d462b59, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x6c1e77ec, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x724b5221, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xf971c338, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x5a3129b4, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x1447bc, "regcache_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x954fb71e, "regmap_write" },
	{ 0x2b3e978, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x4098c7db, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x44601a6a, "queue_work_on" },
	{ 0x9c837c88, "component_master_add_with_match" },
	{ 0x18a0283b, "trace_raw_output_prep" },
	{ 0x63489a7f, "snd_pcm_add_chmap_ctls" },
	{ 0xf7b48cb4, "pci_dev_put" },
	{ 0xebeee3d, "__init_swait_queue_head" },
	{ 0x2c86e728, "__trace_trigger_soft_disabled" },
	{ 0x53df7429, "finish_wait" },
	{ 0x61e7d2aa, "pci_get_device" },
	{ 0x23bbc6dc, "trace_event_printf" },
	{ 0x45457fd6, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdb1f6f84, "pm_runtime_get_if_active" },
	{ 0x9c8de6d5, "kobject_init" },
	{ 0x479332fe, "device_initialize" },
	{ 0x2ad5ff2d, "prepare_to_wait" },
	{ 0x150f1f35, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfb72a756, "regcache_reg_cached" },
	{ 0xd0027e15, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60b922a0, "mutex_lock_nested" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x20ca526c, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x85ce233b, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe8cf3246, "snd_sgbuf_get_addr" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6f266468, "__dynamic_dev_dbg" },
	{ 0xb8ebcb03, "snd_sgbuf_get_chunk_size" },
	{ 0xfe57327a, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdceec3db, "trace_event_buffer_commit" },
	{ 0xf6119b83, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fb52e12, "__raw_spin_lock_init" },
	{ 0x5c5a10db, "__pm_runtime_set_status" },
	{ 0xaaf364ec, "_raw_spin_lock_irq" },
	{ 0x18b00889, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x98334bc4, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2d145943, "_dev_info" },
	{ 0xa88ce939, "module_put" },
	{ 0x87a21cb3, "__ubsan_handle_out_of_bounds" },
	{ 0x84ffee70, "lockdep_init_map_type" },
	{ 0xf2dd1ad6, "component_match_add_typed" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x211d3c4, "perf_trace_run_bpf_submit" },
	{ 0x3c361681, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbf1c2493, "_dev_err" },
	{ 0x3c65cf7a, "kobject_add" },
	{ 0x16f3f815, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb85c0bce, "_raw_spin_unlock_irq" },
	{ 0x9d4b68f5, "__devres_alloc_node" },
	{ 0x99119740, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x26cc5d08, "sysfs_create_group" },
	{ 0x5170c9ea, "__mutex_init" },
	{ 0x1dd3038d, "__regmap_init" },
	{ 0x499d9da7, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe87e83a0, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5b72aefa, "__init_waitqueue_head" },
	{ 0xd86ac5c9, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5266e8e9, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa4e1c56a, "__might_sleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5b950db7, "sysfs_remove_group" },
	{ 0x342f75c3, "bpf_trace_run3" },
	{ 0xa648e561, "__ubsan_handle_shift_out_of_bounds" },
	{ 0xce6db656, "rcu_is_watching" },
	{ 0xde4dc096, "component_master_del" },
	{ 0x66a75d9a, "regmap_read" },
	{ 0x736152b0, "trace_event_buffer_reserve" },
	{ 0x506c51c3, "__pm_runtime_resume" },
	{ 0xc3ccf284, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3ba723bd, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x200e418d, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a98ca6e, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x53287bf7, "kobject_uevent" },
	{ 0xb70789e, "__might_fault" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf2905b6e, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1fd54703, "__might_resched" },
	{ 0xfab2f6d4, "devres_find" },
	{ 0xd96e8c1c, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x40d3da10, "kmalloc_trace" },
	{ 0x66f93311, "__pm_runtime_suspend" },
	{ 0x8ec50951, "regmap_exit" },
	{ 0x54b1fac6, "__ubsan_handle_load_invalid_value" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6d8fac3, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf9c6319e, "pci_bus_type" },
	{ 0x8e721e31, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x67a2b9a2, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5efde415, "flush_work" },
	{ 0x6a611526, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe42b60af, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "CF5D2E35027DC37E0CF7D6B");
